package com.bocloud.cms.booter.config;

import com.bocloud.cmp.boot.interceptor.AccessInterceptor;
import com.bocloud.cmp.boot.interceptor.LogInterceptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 拦截器相关配置
 *
 * @author wangyu
 * @version 1.0
 * @since 2018年4月16日
 */
@Component
public class InterceptorConfiguration implements WebMvcConfigurer {

    @Autowired
    private AccessInterceptor accessInterceptor;
    @Autowired
    private LogInterceptor logInterceptor;


    /**
     * 添加拦截器 (non-Javadoc)
     *
     * @see org.springframework.web.servlet.config.annotation.WebMvcConfigurer#
     * addInterceptors(org.springframework.web.servlet.config.annotation.
     * InterceptorRegistry)
     * @param registry
     */
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(accessInterceptor).addPathPatterns("/**").order(0).excludePathPatterns("/status",
                "/v1/logzip", "/v1/logview", "/status/db", "/status/**", "/v1/monitor/alarms", "/v1/external/alarms",
                "/doc.html", "/swagger-resources/**", "/swagger-ui.html/**", "/webjars/**", "/v2/**", "/error", "/favicon.ico");
        registry.addInterceptor(logInterceptor).addPathPatterns("/**").order(1).excludePathPatterns("/status",
                "/v1/logzip", "/v1/logview", "/status/db", "/status/**", "/v1/monitor/alarms", "/v1/external/alarms",
                "/doc.html", "/swagger-resources/**", "/swagger-ui.html/**", "/webjars/**", "/v2/**", "/error", "/favicon.ico",
                "/v1/charts");
    }

}