package com.bocloud.cms.booter.controller;

import com.bocloud.cms.model.PrometheusAlarm;
import com.bocloud.common.model.BocloudResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 告警
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.5.0-SNAPSHOT
 */
@Api(value = "告警", tags = "告警")
@RestController
@RequestMapping
public class AlarmReceiveController {

    private final ThreadPoolTaskExecutor taskExecutor;
    @Autowired
    private AmqpTemplate amqpTemplate;

    public AlarmReceiveController(ThreadPoolTaskExecutor taskExecutor) {
        this.taskExecutor = taskExecutor;
    }

    @PostMapping("/v1/monitor/alarms")
    @ApiOperation(value = "告警接收", response = BocloudResult.class, httpMethod = "POST", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult receive(@RequestBody PrometheusAlarm prometheusAlarm) {
        taskExecutor.submit(() -> amqpTemplate.convertAndSend("resource.alarm.queue", prometheusAlarm));
        return new BocloudResult(true, "has been received");
    }

}
