package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.CcsService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 配置中心监控
 *
 * @author zhangdi
 * @since July 10,2020
 */

@RestController
@Api(value = "配置中心监控", tags = "配置中心监控")
@RequestMapping("/v1/ccs")
public class CcsController {

    @Autowired
    private CcsService ccsService;

    @GetMapping
    @ApiOperation(value = "配置中心列表", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult list(Pager pager, String catalog, @Value(Common.REQ_CONTEXT) RequestContext context, HttpServletRequest request) {
        return ccsService.list(pager, catalog, context, request);
    }
}
