package com.bocloud.cms.booter.controller;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.cms.intf.CephService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * ceph监控
 *
 * @author zhangyf
 * @since 2019-11-26
 */
@RestController
@Api(value = "ceph监控", tags = "ceph监控")
@RequestMapping("/v1/ceph")
public class CephController {
    @Autowired
    private CephService cephService;


    /**
     * ceph osd统计信息
     *
     * @return
     */
    @GetMapping("/stats")
    @ApiOperation(value = "ceph监控", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult stats() {
        return new BocloudResult(true, cephService.stats(), "success");
    }
}
