package com.bocloud.cms.booter.controller;

import com.alibaba.fastjson.JSONArray;
import com.bocloud.cms.intf.QueryService;
import com.bocloud.common.model.BocloudResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 监控图表
 *
 * @author zhangdi
 * @since June 12,2019
 */

@RestController
@Api(value = "监控图表", tags = "监控图表")
@RequestMapping("/v1/charts")
public class ChartController {

    @Autowired
    private QueryService queryService;

    /**
     * 监控图表
     *
     * @param expr
     * @param name
     * @param start
     * @param end
     * @param unit
     * @return
     */
    @GetMapping
    @ApiOperation(value = "监控图表", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult chart(@RequestParam(value = "expr", required = false) String expr,
                               @RequestParam(value = "name", required = false) String name,
                               @RequestParam(value = "start", required = false) String start,
                               @RequestParam(value = "end", required = false) String end,
                               @RequestParam(value = "unit", required = false) String unit) {
        List<String> exprs = JSONArray.parseArray(expr, String.class);
        List<String> names = JSONArray.parseArray(name, String.class);
        return new BocloudResult(true, queryService.chart(exprs, names, start, end, "60", unit), "success");
    }
}
