package com.bocloud.cms.booter.controller;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import com.bocloud.cms.intf.DataStoreService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 数据存储监控
 *
 * @author zhangdi
 * @since July 7,2020
 */

@RestController
@Api(value = "数据存储监控", tags = "数据存储监控")
@RequestMapping("/v1/datastores")
public class DataStoreController {

    private final DataStoreService dataStoreService;

    @Autowired
    public DataStoreController(DataStoreService dataStoreService) {
        this.dataStoreService = dataStoreService;
    }

    /**
     * 数据存储列表
     *
     * @param pager
     * @param context
     * @return
     */
    @GetMapping
    @ApiOperation(value = "数据存储列表展示", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult list(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context) {
        return dataStoreService.list(pager, context);
    }
}