package com.bocloud.cms.booter.controller;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import com.bocloud.cms.intf.HmcService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * HMC监控
 *
 * @author zhangdi
 * @since Oct 21,2019
 */

@RestController
@Api(value = "Hmc监控", tags = "Hmc监控")
@RequestMapping("/v1/hmc")
public class HmcController {

    @Autowired
    private HmcService hmcService;

    /**
     * Hmc主机列表
     *
     * @param pager
     * @param context
     * @return
     */
    @GetMapping("/servers")
    @ApiOperation(value = "Hmc主机列表展示", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult listOfServer(Pager pager,
                                      @Value(Common.REQ_CONTEXT) RequestContext context) {
        return hmcService.listOfServer(pager, context);
    }

    /**
     * Hmc分区列表
     *
     * @param pager
     * @param context
     * @return
     */
    @GetMapping("/partitions")
    @ApiOperation(value = "Hmc分区列表展示", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult listOfPartition(Pager pager,
                                         @Value(Common.REQ_CONTEXT) RequestContext context) {
        return hmcService.listOfPartition(pager, context);
    }
}