package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.RdsService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 关系型数据库监控
 *
 * @author zyf
 * @since 2020-03-30
 */

@RestController
@Api(value = "关系型数据库监控", tags = "关系型数据库监控")
@RequestMapping("/v1/rds")
public class RdsController {

    private final RdsService rdsService;

    @Autowired
    public RdsController(RdsService rdsService) {
        this.rdsService = rdsService;
    }

    @GetMapping
    @ApiOperation(value = "关系型数据库列表", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult list(Pager pager, String catalog, @Value(Common.REQ_CONTEXT) RequestContext context,
                              HttpServletRequest request) {
        return rdsService.list(pager, catalog, context, request);
    }
}
