package com.bocloud.cms.booter.controller;

import com.bocloud.cms.entity.ResourceAlarmStatus;
import com.bocloud.cms.intf.ResourceAlarmStatusService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

/**
 * @author fanzx
 */
@RestController
@Api(value = "资源告警状态", tags = "资源告警状态")
@RequestMapping("/v1/alarmstatus")
public class ResourceAlarmStatusController {

    @Autowired
    private ResourceAlarmStatusService alarmStatusService;

    /**
     * 屏蔽告警
     *
     * @param alarmStatus
     * @param context
     * @return
     */
    @DeleteMapping
    @ApiOperation(value = "屏蔽告警", httpMethod = "DELETE", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult remove(@RequestBody ResourceAlarmStatus alarmStatus,
                                @Value(Common.REQ_CONTEXT) RequestContext context) {
        return alarmStatusService.remove(alarmStatus, context);
    }

    /**
     * 开启告警
     *   true 开启,false 关闭
     * @param context
     * @param alarmStatus
     * @return
     */
    @PostMapping
    @ApiOperation(value = "开启告警", httpMethod = "POST", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult create(@Value(Common.REQ_CONTEXT) RequestContext context,
                                @RequestBody ResourceAlarmStatus alarmStatus) {
        return alarmStatusService.create(alarmStatus, context);
    }

}
