package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.ServiceService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 服务Controller
 *
 * @author zhangdi
 * @since Feb 28,2020
 */

@RestController
@Api(value = "OpenStack服务监控", tags = "OpenStack服务监控")
@RequestMapping("/v1/services")
public class ServiceController {

    private final ServiceService serviceService;

    @Autowired
    public ServiceController(ServiceService serviceService) {
        this.serviceService = serviceService;
    }

    /**
     * 服务列表
     *
     * @param context
     * @return
     */
    @GetMapping
    @ApiOperation(value = "OpenStack服务列表", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult list(@RequestParam(value = "vendorId", required = false) Long vendorId,
                              @RequestParam(value = "name", required = false) String name,
                              @RequestParam(value = "status", required = false) String status,
                              @Value(Common.REQ_CONTEXT) RequestContext context) {
        return serviceService.list(name, status, vendorId, context);
    }

}
