package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.SmartxHostService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * SmartX监控
 * @author fanzhenxi
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
@Api(value = "SmartX监控", tags = "SmartX监控")
@RestController
@RequestMapping("/v1/smartx")
public class SmartxController {

    @Autowired
    SmartxHostService smartxHostService;

    /**
     * 查询所有宿主机列表信息
     * @param pager
     * @param context
     * @param request
     * @return
     */
    @GetMapping("/hosts")
    @ApiOperation(value = "SmartX宿主机列表", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult listOfHost(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context, HttpServletRequest request) {
        return smartxHostService.listOfHost(pager, context, request);
    }
}
