package com.bocloud.cms.booter.monitor.rabbitmq;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 通道信息实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 15:35
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ChannelInfo {
    /**
     * 通道名
     */
    private String name; 
    /**
     * 云主机名
     */
    private String vhost; 
    /**
     * 节点名
     */
    private String node; 
    /**
     * 用户名
     */
    private String user; 
    /**
     * 状态
     */
    private String state; 
    /**
     * 闲置时间
     */
    private String idleSince; 
    /**
     * 减少量
     */
    private long reduction;
    /**
     * 减少占比
     */
    private double reductionsRate;  
    /**
     * 整个通道Qos预取限制
     */
    private int globalPrefetchCount; 
    /**
     * 新消费者得Qos预取限制
     */
    private int prefetchCount;
    /**
     * 尚未提交的事务中收到的确认数
     */
    private long ackUncommitted; 
    /**
     * 未提交事务的消息数
     */
    private long messageUncommitted; 
    /**
     * 未确认的已发布的消息数
     */
    private long messageUnconfirmed; 
    /**
     * 通过通道传输但未确认的消息
     */
    private long messageUnacknowledge; 
    /**
     * 通道消费者总数
     */
    private int consumerCount; 
    /**
     * 通道是否处于确认模式
     */
    private boolean confirm; 
    /**
     * 通道是否处于事务模式
     */
    private boolean transactional; 
}
