package com.bocloud.cms.booter.monitor.rabbitmq;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 连接信息实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 15:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ConnectionInfo {
    /**
     * 连接编号
     */
    private long connectedAt;
    /**
     * 连接名 ip->ip
     */
    private String name;
    /**
     * 节点名
     */
    private String node;
    /**
     * 连接类型
     */
    private String type;
    /**
     * 云主机名
     */
    private String vhost;
    /**
     * 用户名
     */
    private String user;
    /**
     * 连接状态
     */
    private String state;
    /**
     * 通道最大值
     */
    private long channelMax;
    /**
     * 已有通道值
     */
    private long channels;
    /**
     * frame最大值
     */
    private long frameMax;
    /**
     * 超时时间
     */
    private int timeout;
    /**
     * 发送队列大小
     */
    private int sendPend;
    /**
     * 已发送数据包
     */
    private int sendCnt;
    /**
     * 已接受数据包
     */
    private int recvCnt;
    /**
     * 八位字节接收量
     */
    private long recvOct;
    /**
     * 八位字节接收率
     */
    private double recvOctRate;
    /**
     * 八位字节发送量
     */
    private long sendOct;
    /**
     * 八位字节发送率
     */
    private double sendOctRate;
    /**
     * 减少量
     */
    private long reductions;
    /**
     * 减少量占比
     */
    private double reductionsRate;
}
