package com.bocloud.cms.booter.monitor.rabbitmq;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 节点基本信息实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 15:35
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class NodeInfo {
    /**
     * 节点名
     */
    private String name;
    /**
     * 节点类型
     */
    private String type;
    /**
     * 系统进程id
     */
    private String osPid;
    /**
     * 正常运行时间
     */
    private long uptime;
    /**
     * 是否运行状态
     */
    private boolean running;
    /**
     * 运行队列数
     */
    private int runQueue;
    /**
     * 网络响应时间
     */
    private long netTickTime;


    /*资源（内存、硬盘、网络）使用信息*/
    /**
     * 已使用内存量
     */
    private long memUsed;
    /**
     * 限制内存量
     */
    private long memLimit;
    /**
     * 内存使用率
     */
    private double memUsedRate;
    /**
     * 内存占用是否达到阈值警报
     */
    private boolean memAlarm;
    /**
     * 磁盘空闲量
     */
    private long diskFree;
    /**
     * 磁盘空闲限制量
     */
    private long diskFreeLimit;
    /**
     * 磁盘空闲率
     */
    private double diskFreeRate;
    /**
     * 磁盘空闲量是否达到阈值警报
     */
    private boolean diskFreeAlarm;
    /**
     * 文件句柄总量
     */
    private long fdTotal;
    /**
     * 文件句柄使用量
     */
    private long fileDescriptorsUsed;
    /**
     * 文件句柄使用率
     */
    private double fileDescriptorsUsedRate;
    /**
     * socket总量
     */
    private long socketTotal;
    /**
     * socket使用量
     */
    private long socketUsed;
    /**
     * scoket使用率
     */
    private double socketUsedRate;
    /**
     * processor处理器总量
     */
    private long procTotal;
    /**
     * 处理器使用量
     */
    private long procUsed;
    /**
     * 处理器使用率
     */
    private double procUsedRate;

    /*I/O读写相关信息*/
    /**
     * I/O读取数
     */
    private long ioReadCount;
    /**
     * I/O读取数比率
     */
    private double ioReadCountRate;
    /**
     * I/O读读取量
     */
    private long ioReadBytes;
    /**
     * I/O读取量比率
     */
    private double ioReadBytesRate;
    /**
     * I/O读取平均时间
     */
    private long ioReadAvgTime;
    /**
     * I/O读取平均时间比例
     */
    private double ioReadAvgTimeRate;
    /**
     * I/O写入数
     */
    private long ioWriteCount;
    /**
     * I/O写入数比率
     */
    private double ioWriteCountRate;
    /**
     * I/O写入量
     */
    private long ioWriteBytes;
    /**
     * I/O写入量比率
     */
    private double ioWriteBytesRate;
    /**
     * I/O写入平均时间
     */
    private long ioWriteAvgTime;
    /**
     * I/O写入平均时间比率
     */
    private double ioWriteAvgTimeRate;
    /**
     * I/O同步数
     */
    private long ioSyncCount;
    /**
     * I/O同步数比率
     */
    private double ioSyncCountRate;
    /**
     * I/O同步平均时间
     */
    private long ioSyncAvgTime;
    /**
     * I/O同步平均时间比率
     */
    private double ioSyncAvgTimeRate;
    /**
     * I/O搜索数
     */
    private long ioSeekCount;
    /**
     * I/O搜索比率
     */
    private double ioSeekCountRate;
    /**
     * I/O搜索平均时间
     */
    private long ioSeekAvgTime;
    /**
     * I/O搜索平均时间比率
     */
    private double ioSeekAvgTimeRate;


    /**
     * gc数量
     */
    private long gcNum;
    /**
     * gc数量比率
     */
    private double gcNumRate;
    /**
     * gc回收字节量
     */
    private long gcBytesReclaimed;
    /**
     * gc回收字节比率
     */
    private double gcBytesReclaimedRate;
}
