package com.bocloud.cms.booter.monitor.rabbitmq;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * mq信息概览实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 15:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class OverviewInfo {
    /**
     * 集群名称
     */
    private String clusterName;
    /**
     * erlang版本
     */
    private String erlangVersion;
    /**
     * 当前节点名称
     */
    private String node;
    /**
     * 管理统计数据库节点名
     */
    private String statisticsDbNode;
    /**
     * 队列中消息总量
     */
    private long messages;
    /**
     * 队列汇总消息占有率
     */
    private double messagesRate;
    /**
     * 队列中准备投递的消息量
     */
    private long messagesReady;
    /**
     * 队列中准备投递的消息比率
     */
    private double messagesReadyRate;
    /**
     * 队列投递未被确认的消息量
     */
    private long messagesUnacknowledged;
    /**
     * 队列投递未被确认的消息量比率
     */
    private double messagesUnacknowledgedRate;
    /**
     * 消费者数量
     */
    private int consumers;
    /**
     * 队列数量
     */
    private int queue;
    /**
     * 交换机数量
     */
    private int exchange;
    /**
     * 连接数
     */
    private int connections;
    /**
     * 通道数
     */
    private int channels;
    /**
     * 节点数
     */
    private int nodes;
}
