package com.bocloud.cms.booter.monitor.rabbitmq;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 队列信息实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 15:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueueInfo {
    /**
     * 队列名
     */
    private String name;
    /**
     * 策略名称
     */
    private String policy;
    /**
     * 消费者数量
     */
    private int consumers;
    /**
     * 节点名
     */
    private String node;
    /**
     * 云主机名
     */
    private String vhost;
    /**
     * 队列状态
     */
    private String state;
    /**
     * 是否自动删除
     */
    private boolean autoDelete;
    /**
     * 是否独占（互斥即具有owner_pid）
     */
    private boolean exclusive;
    /**
     * 闲置时间
     */
    private String idleSince;
    /**
     * 队列分配的内存
     */
    private long memory;
    /**
     * 减少量
     */
    private long reduction;
    /**
     * 减少量占比
     */
    private double reductionRate;
    /**
     * 消息总数量
     */
    private long message;
    /**
     * 消息总数量比率
     */
    private double messageRate;
    /**
     * 准备发送的消息数量
     */
    private long messageReady;
    /**
     * 准备发送的消息数量比率
     */
    private double messageReadyRate;
    /**
     * 发送但未确认的消息数
     */
    private long messageUnacknowledged;
    /**
     * 发送未确认消息比率
     */
    private double messageUnacknowledgedRate;
    /**
     * 内存中的消息总数量
     */
    private long messageRam;
    /**
     * 内存中准备发送的消息数量
     */
    private long messageReadyRam;
    /**
     * 内存中发送但未确认的消息数量
     */
    private long messageUnacknowledgedRam;
    /**
     * 队列中持久消息数量
     */
    private long messagePersistent;
    /**
     * 消息正文（不包括消息属性包括标题）的大小
     */
    private long messageBytes;
    /**
     * 内存中准备发送的消息正文的大小
     */
    private long messageBytesReady;
    /**
     * 内存中发送未确认的消息大小
     */
    private long messageBytesUnacknowledgedRam;
    /**
     * 内存中消息正文大小
     */
    private long messageBytesRam;
    /**
     * 持久消息的大小
     */
    private long messageBytesPersistent;
    /**
     * 自队列启动以来，磁盘读取消息总次数
     */
    private long diskReads;
    /**
     * 磁盘写入消息总次数
     */
    private long diskWrites;
}
