package com.bocloud.cms.booter.monitor.redis;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 客户端信息实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 17:27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ClientInfo {
    /**
     * 客户端连接数
     */
    private int connectedClients;
    /**
     * 当前客户端连接最大输入缓存
     */
    private int clientRecentMaxInputBuffer;
    /**
     * 当前连接客户端中，最长输出列表(单节点中)
     */
    private int clientLongestOutputList;
    /**
     * 当前客户端连接最大输出缓存
     */
    private int clientRecentMaxOutputBuffer;
    /**
     * 当前客户端连接。最大输入缓存（单节点中）
     */
    private int clientBiggestInputBuf;
    /**
     * 正在等待阻塞命令的客户端数量
     */
    private int blockedClients;
}
