package com.bocloud.cms.booter.monitor.redis;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 内存信息实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 17:28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MemoryInfo {
    /**
     * redis分配器分配的内存总量
     */
    private long usedMemory;
    /**
     * 人性化可读显示
     */
    private String usedMemoryHuman;
    /**
     * redis分配的内存总量（与top命令输出一致）
     */
    private long usedMemoryRss;
    private String usedMemoryRssHuman;
    /**
     * redis内存消耗峰值
     */
    private long usedMemoryPeak;
    private String usedMemoryPeakHuman;
    private String usedMemoryPeakPerc;
    private long usedMemoryOverhead;
    private long usedMemoryStartup;
    private long usedMemoryDataset;
    private String usedMemoryDatasetPerc;
    private long allocatorAllocated;
    private long allocatorActive;
    private long allocatorResident;
    /**
     * 系统总内存
     */
    private long totalSystemMemory;
    private String totalSystemMemoryHuman;
    /**
     * Lua引擎所使用的内存大小
     */
    private long usedMemoryLua;
    private String usedMemoryLuaHuman;
    private long usedMemoryScripts;
    private String usedMemoryScriptsHuman;
    private long numberOfCachedScripts;
    /**
     * 触发内存回收最大值
     */
    private long maxMemory;
    private String maxMemoryHuman;
    /**
     * 最大内存回收策略
     */
    private String maxMemoryPolicy;
    private float allocatorFragRatio;
    private long allocatorFragBytes;
    private float allocatorRssRatio;
    private long allocatorRssBytes;
    private float rssOverheadRatio;
    private long rssOverheadBytes;
    /**
     * used_memory_rss”和“used_memory”之间的比率，可计算内存碎片率
     */
    private float memFragmentationRatio;
    /**
     * 编译时指定的redis使用的内存分配器
     */
    private String memAllocator;
    private long memFragmentationBytes;
    private long memNotCountedForEvict;
    private long memReplicationBacklog;
    private long memClientsSlaves;
    private long memClientsNormal;
    private long memAofBuffer;
    private long activeDefragRunning;
    private long lazyfreePendingObjects;
}
