package com.bocloud.cms.booter.monitor.redis;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 持久化信息实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 17:28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PersistenceInfo {
    /**
     * 是否正在载入持久化文件
     */
    private int loading;
    /**
     * 距最近一次成功创建持久化文件经历多少秒
     */
    private int rdbChangesSinceLastSave;
    /**
     * 记录服务器是否正在创建RDB文件
     */
    private int rdbBgsaveInProgress;
    /**
     * 最近一次成功创建RDB文件的UNIX时间戳
     */
    private long rdbLastSaveTime;
    /**
     * 最近一次创建RDB文件的结果是成功还是失败
     */
    private String rdbLastBgsaveStatus;
    /**
     * 最近一次创建RDB文件耗费的秒数
     */
    private int rdbLastBgsaveTimeSec;
    /**
     * 当前创建操作已经耗费的秒数
     */
    private int rdbCurrentBgsaveTimeSec;
    /**
     * 是否开启了AOF
     */
    private int aofEnable;
    /**
     * 是否正在创建AOF文件
     */
    private int aofRewriteInProgress;
    /**
     * 再RDB文件创建之后是否需要执行预约的AOF重写操作
     */
    private int aofRewriteScheduled;
    /**
     * 最近一次创建AOF文件耗费的时长
     */
    private int aofLastRewriteTimeSec;
    /**
     * 当前创建操作以及耗费的秒数
     */
    private int aofCurrentRewriteTimeSec;
    /**
     * 最近一次创建AOF的结果状态（成功还是失败）
     */
    private String aofLastBgrewriteStatus;
    /**
     * 最近一次写操作的结果状态
     */
    private String aofLastWriteStatus;

    private long aofLastCowSize;
    private long aofCurrentSize;
    private long aofBaseSize;
    private long aofPendingRewrite;
    private long aofBufferLength;
    private long aofRewriteBufferLength;
    private long aofPendingBioFsync;
    private long aofDelayedFsync;
}
