package com.bocloud.cms.booter.monitor.redis;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Redis服务器信息实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 17:26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ServerInfo {
    /**
     * redis版本
     */
    private String redisVersion; 
    /**
     * git SHA1
     */
    private String redisGitSha1; 
    /**
     * git脏标识
     */
    private int redisGitDirty; 
    /**
     * Redis BuildId
     */
    private String redisBuildId; 
    /**
     * redis模式
     */
    private String redisMode; 
    /**
     * redis服务器宿主机操作系统
     */
    private String os; 
    /**
     * 架构位数
     */
    private int archBits; 
    /**
     * redis事件处理机制
     */
    private String multiplexingApi; 
    private String atomicvarApi;
    /**
     * 编译redis使用的gcc版本
     */
    private String gccVersion; 
    /**
     * 服务器进程的PID
     */
    private long processId; 
    /**
     * 服务器随机标识符（用于sentinel和集群）
     */
    private String runId; 
    /**
     * TCP/IP监听端口
     */
    private int tcpPort; 
    /**
     * 运行时间（秒）
     */
    private long uptimeInSeconds; 
    /**
     * 运行天数
     */
    private int uptimeInDays; 
    /**
     * 频率
     */
    private int hz;
    /**
     * 以分钟为单位进行自增的时钟，用于LRU管理
     */
    private long lruClock; 
    /**
     * 执行文件位置
     */
    private String executable; 
    /**
     * 配置文件位置
     */
    private String configFile; 
}
