package com.bocloud.cms.booter.monitor.redis;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Redis状态信息实体类
 *
 * @author tyl
 * @time 2019/11/19 周二 17:28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class StatsInfo {
    /**
     * 服务器已接受的连接请求数
     */
    private int totalConnectionsReceived;
    /**
     * 服务器已执行的命令数量
     */
    private int totalCommandsProcessed;
    /**
     * 服务器每秒执行的命令数
     */
    private int instantaneousOpsPerSec;
    /**
     * redis网络入口流量字节数
     */
    private long totalNetInputBytes;
    /**
     * redis网络出口流量字节数
     */
    private long totalNetOutputBytes;
    /**
     * redis网络入口kps
     */
    private float instantaneousInputKbps;
    /**
     * redis网络出口kps
     */
    private float instantaneousOutputKbps;
    /**
     * 因最大连接限制而被拒绝的连接请求数
     */
    private int rejectedConnections;
    private int syncFull;
    private int syncPartialOk;
    private int syncPartialErr;
    /**
     * 过期数据库健数量
     */
    private int expiredKeys;
    private String expiredStalePerc;
    private int expiredTimeCapReachedCount;
    /**
     * 因最大内存容量限制而被驱逐的健数量
     */
    private int evictedKeys;
    /**
     * 健空间命中数
     */
    private int keyspaceHits;
    /**
     * 健空间未命中数
     */
    private int keyspaceMisses;
    /**
     * 被订阅的频道数
     */
    private int pubsubChannels;
    /**
     * 被订阅的模式数
     */
    private int pubsubPatterns;
    /**
     * 最后一次fork（）操作耗费的毫秒数
     */
    private long latestForkUsec;
    private int migrateCachedSockets;
    private int slaveExpiresTrackedKeys;
    private int activeDefragHits;
    private int activeDefragMisses;
    private int activeDefragKeyHits;
    private int activeDefragKeyMisses;
}
