package com.bocloud.cms.common.config;

import lombok.Data;
import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.File;

/**
 * 存储配置
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
@Component
@Data
public class StorageConfig {

    @Value("${upload.storage.path:/home/cmp}")
    @Getter
    private String path;
    /**
     * telegraf配置文件地址
     * /home/cmp/telegraf/telegraf.d
     */
    @Value("${upload.storage.path:/home/cmp}/telegraf/telegraf.d/")
    @Getter
    private String telegrafPath;

    /**
     * blackbox配置文件地址
     * /home/cmp/prometheus/blackbox/monitor.json
     */
    @Value("${upload.storage.path:/home/cmp}/prometheus/blackbox/monitor.json")
    @Getter
    private File blackboxConfigFile;

    /**
     * blackbox配置文件地址
     * /home/cmp/prometheus/blackbox/monitor.json
     */
    @Value("${upload.storage.path:/home/cmp}/prometheus/blackbox/monitor_host.json")
    @Getter
    private File blackboxHostConfigFile;

    @Value("${upload.storage.path:/home/cmp}/prometheus/")
    private File prometheusPath;

    @Value("${upload.storage.path:/home/cmp}/prometheus/rules")
    private File prometheusRulesPath;

    /**
     * kubernetes配置文件地址
     * /home/cmp/prometheus/kubernetes
     */
    @Value("${upload.storage.path:/home/cmp}/prometheus/kubernetes")
    private File kubernetesDir;

    /**
     * openstack配置文件地址
     * /home/cmp/prometheus/openstack
     */
    @Value("${upload.storage.path:/home/cmp}/prometheus/openstack")
    private File openstackDir;

    /**
     * 宿主机 ipmi配置文件地址
     * /home/cmp/ipmi_exporter
     */
    @Value("${upload.storage.path:/home/cmp}/ipmi_exporter/config.yml")
    private File ipmiconfigFile;

    /**
     * ipmi_exporter目标信息文件地址
     * /home/cmp/prometheus/ipmi
     */
    @Value("${upload.storage.path:/home/cmp}/prometheus/ipmi/targets.json")
    private File ipmiTargetsFile;

    /**
     * xsky配置文件地址
     * /home/cmp/prometheus/xsky
     */
    @Value("${upload.storage.path:/home/cmp}/prometheus/xsky")
    private File xskyDir;

    @Value("${upload.storage.path:/home/cmp}/prometheus/cloudTower")
    private File cloudTowerDir;

}