package com.bocloud.cms.common.utils;

/**
 * 日期工具类
 * 推荐使用com.bocloud.common.utils.DateTools及common-lang3工具包下类，如满足使用则不要再此类新增方法
 *
 * @author sxp
 * @since Dec 27, 2017
 */
public final class DateUtils {

    private DateUtils() {
    }

    /**
     * 分钟数转为化几天几时几分
     *
     * @param minute 分钟数
     * @return
     */
    public static String dateConvert(double minute) {
        double time = minute * 60;
        long day = (long) time / (3600 * 24);
        long hour = (long) (time % (3600 * 24)) / 3600;
        long min = (long) ((time % (3600 * 24)) % 3600) / 60;
        if (0L == day && 0L == hour) {
            return min + "分";
        } else if (0L == day && 0L != hour) {
            return hour + "时" + min + "分";
        } else {
            return day + "天" + hour + "时" + min + "分";
        }
    }

    /**
     * 毫秒转换为几天几时几分几秒
     *
     * @param different
     * @return
     */
    public static String duration(long different) {
        long secondsInMilli = 1000;
        long minutesInMilli = secondsInMilli * 60;
        long hoursInMilli = minutesInMilli * 60;
        long daysInMilli = hoursInMilli * 24;
        long elapsedDays = different / daysInMilli;
        different = different % daysInMilli;
        long elapsedHours = different / hoursInMilli;
        different = different % hoursInMilli;
        long elapsedMinutes = different / minutesInMilli;
        different = different % minutesInMilli;
        long elapsedSeconds = different / secondsInMilli;
        String str = String.format("%d天%d小时%d分钟%d秒", elapsedDays, elapsedHours, elapsedMinutes, elapsedSeconds);
        if (elapsedDays == 0L && elapsedHours == 0L && elapsedMinutes == 0L) {
            str = str.replace("0天0小时0分钟", "");
        }
        if (elapsedDays == 0L && elapsedHours == 0L) {
            str = str.replace("0天0小时", "");
        }
        if (elapsedDays == 0L) {
            str = str.replace("0天", "");
        }
        return str;
    }

}
