package com.bocloud.cms.entity;

import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreUpdate;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 告警分发人类
 *
 * @author wangyu
 * @Version 1.0
 * @since 2017年7月11日
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table("monitor_alarm_receiver")
public class AlarmReceiver extends Generic {

    /**
     * ID
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 分发策略ID
     */
    @Column("send_policy_id")
    private Long sendPolicyId;
    /**
     * 分发人ID
     */
    @Column("receiver_id")
    private Long receiverId;
    /**
     * 创建时间
     */
    @Column("gmt_create")
    @IgnoreUpdate
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    /**
     * 修改时间
     */
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    /**
     * 创建人ID
     */
    @Column("creator_id")
    private Long creatorId;
    /**
     * 修改人ID
     */
    @Column("mender_id")
    private Long menderId;
    /**
     * 用户类型
     */
    @Column("catalog")
    private String catalog;

}