package com.bocloud.cms.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 云平台监控运维认证信息
 * @author liuyuanyuan
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("monitor_auth")
public class MonitorAuth extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("address")
    private String address;
    @Column("username")
    private String username;
    @Column("password")
    private String password;
    @Column("vendor_id")
    private Long vendorId;

    public MonitorAuth(String address, String username, String password, Long vendorId) {
        this.address = address;
        this.username = username;
        this.password = password;
        this.vendorId = vendorId;
    }

}
