package com.bocloud.cms.entity;

import com.bocloud.common.utils.DateDeserializer;
import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.annotations.*;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 监控资源实体类
 *
 * @author zhangyf
 * @since 2019-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Table("monitor_resource")
public class Resource extends Generic {

    /**
     * ID
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 名称
     */
    @Column("name")
    private String name;
    /**
     * 资源类型
     */
    @Column("type")
    private String type;
    /**
     * 数据库连接信息
     */
    @Column("data")
    private String data;
    /**
     * 是否开启监控
     */
    @Column("is_monitoring")
    private boolean monitoring = false;
    @IgnoreUpdate
    @Column("gmt_create")
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    @IgnoreUpdate
    @Column("creator_id")
    private Long creatorId;
    @Column("is_deleted")
    private Boolean deleted = false;
    @IgnoreUpdate
    @Column("tenant_id")
    private Long tenantId;
    @IgnoreUpdate
    @Column("project_id")
    private Long projectId;

}