package com.bocloud.cms.enums;

public enum CloudServerStatusEnum {
    STARTING("STARTING", "启动中"),
    RUNNING("RUNNING", "运行中"),
    STOPPING("STOPPING", "停止中"),
    STOPPED("STOPPED", "已停止");

    private final String type;
    private final String name;

    CloudServerStatusEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    public static String getNameByType(String type) {
        for (CloudServerStatusEnum status : CloudServerStatusEnum.values()) {
            if (status.getType().equals(type)) {
                return status.getName();
            }
        }
        return null;
    }
}
