package com.bocloud.cms.enums;

/**
 * 数据采集sql类
 * @author liuyuanyuan
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
public class DataCollectionStatement {

    /**
     * MYSQL概要信息
     */
    public static final String PROFILE_INFORMATION = "SELECT\n" +
            "\ta.schema_name \"schemaName\",\n" +
            "\ta.default_character_set_name \"defaultCharacterSetName\",\n" +
            "\ta.default_collation_name \"defaultCollationName\",\n" +
            "\te.TABLES \"tables\",\n" +
            "\tc.total \"total\"\n" +
            "FROM\n" +
            "\tinformation_schema.schemata a\n" +
            "LEFT JOIN (\n" +
            "\tSELECT\n" +
            "\t\tb.TABLE_SCHEMA,\n" +
            "\t\tROUND(\n" +
            "\t\t\t(\n" +
            "\t\t\t\tsum(DATA_LENGTH) + sum(INDEX_LENGTH)\n" +
            "\t\t\t) / 1024 / 1024,\n" +
            "\t\t\t2\n" +
            "\t\t) AS total\n" +
            "\tFROM\n" +
            "\t\tinformation_schema. TABLES b\n" +
            "\tGROUP BY\n" +
            "\t\tb.TABLE_SCHEMA\n" +
            ") c ON a.schema_name = c.TABLE_SCHEMA\n" +
            "LEFT JOIN (\n" +
            "\tSELECT\n" +
            "\t\tCOUNT(*) TABLES,\n" +
            "\t\ttable_schema\n" +
            "\tFROM\n" +
            "\t\tinformation_schema. TABLES d\n" +
            "\tGROUP BY\n" +
            "\t\ttable_schema\n" +
            ") e ON e.table_schema = a.schema_name\n" +
            "WHERE\n" +
            "\tc.TABLE_SCHEMA = a.schema_name\n" +
            "AND e.table_schema = a.schema_name";
    /**
     * mysql状态信息查询
     */
    public static final String STATUS = "SHOW global STATUS ";
    /**
     * mysql系统变量信息
     */
    public static final String VARIABLES = "show global VARIABLES ";
}
