package com.bocloud.cms.enums;

/**
 * 监控资源类型枚举
 *
 * @author zhangyf
 * @since 2019-09-18
 */
public enum MonitorResourceType {

    /**
     * VC云主机
     */
    MONITOR_VCENTER_VM,
    /**
     * vc宿主机
     */
    MONITOR_VCENTER_HOST,
    /**
     * vc数据存储
     */
    MONITOR_VCENTER_DATASTORE,
    /**
     * op云主机
     */
    MONITOR_OPENSTACK_VM,
    /**
     * op宿主机
     */
    MONITOR_OPENSTACK_HOST,
    /**
     * op服务
     */
    MONITOR_OPENSTACK_SERVICE,
    /**
     * KUBERNETES_NODE节点
     */
    MONITOR_KUBERNETES_NODE,
    /**
     * KUBERNETES_POD
     */
    MONITOR_KUBERNETES_POD,
    /**
     * Hmc服务
     */
    MONITOR_HMC_SERVER,
    /**
     * hmcVios
     */
    MONITOR_HMC_VIOS,
    /**
     * hmcAix
     */
    MONITOR_HMC_AIX,
    /**
     * FUSIONCLOUD云主机
     */
    MONITOR_FUSIONCLOUD_VM,
    /**
     * FUSIONCLOUD宿主机
     */
    MONITOR_FUSIONCLOUD_HOST,
    /**
     * 华为存储
     */
    MONITOR_STORAGE_HUAWEI_STORAGE,
    /**
     * 华为磁盘
     */
    MONITOR_STORAGE_HUAWEI_DISK,
    /**
     * 华为VOLUME
     */
    MONITOR_STORAGE_HUAWEI_VOLUME,
    /**
     * 存储dell
     */
    MONITOR_STORAGE_DELL,
    /**
     * 存储dell存储
     */
    MONITOR_STORAGE_DELL_STORAGE,
    /**
     * 存储dellDisk
     */
    MONITOR_STORAGE_DELL_DISK,
    /**
     * 存储dellVolume
     */
    MONITOR_STORAGE_DELL_VOLUME,
    /**
     * mysql
     */
    MONITOR_RDS_MYSQL,
    /**
     * sqlServer
     */
    MONITOR_RDS_SQLSERVER,
    /**
     * postGreSql
     */
    MONITOR_RDS_POSTGRESQL,
    /**
     * redis
     */
    MONITOR_KVS_REDIS,
    /**
     * mongoDB
     */
    MONITOR_KVS_MONGODB,
    /**
     * memCached
     */
    MONITOR_KVS_MEMCACHED,
    /**
     * kafka
     */
    MONITOR_CMS_KAFKA,
    /**
     * rabbitMQ
     */
    MONITOR_CMS_RABBITMQ,
    /**
     * rocketMQ
     */
    MONITOR_CMS_ROCKETMQ,
    /**
     * Zookeeper
     */
    MONITOR_CCS_ZOOKEEPER,
    /**
     * etcd
     */
    MONITOR_CCS_ETCD,
    /**
     * Xsky主机
     */
    MONITOR_XSKY_HOST,
    /**
     * XSKY_OBJECT_USER
     */
    MONITOR_XSKY_OBJECT_USER,
    /**
     * XSKY_OBJECT_ROUTER
     */
    MONITOR_XSKY_OBJECT_ROUTER,
    /**
     * XSKY_OBJECT_BUCKET
     */
    MONITOR_XSKY_OBJECT_BUCKET,
    /**
     * XSKY_VOLUME
     */
    MONITOR_XSKY_VOLUME,
    /**
     * XSKY_VOLUME_POOL
     */
    MONITOR_XSKY_VOLUME_POOL,
    /**
     * XSKY_CEPH_OSD
     */
    MONITOR_XSKY_CEPH_OSD,
    /**
     * XSKY_DISK
     */
    MONITOR_XSKY_DISK,
    /**
     * XSKY_FILESYSTEM
     */
    MONITOR_XSKY_FILESYSTEM,
    /**
     * 天翼云云主机
     */
    MONITOR_TIANYI_VM,
    /**
     * 华为云主机
     */
    MONITOR_HUAWEI_VM,
    /**
     * CISCO_SANFABRIC
     */
    MONITOR_CISCO_SANFABRIC,
    /**
     * h3c宿主机
     */
    MONITOR_H3C_HOST,
    /**
     * h3c云主机
     */
    MONITOR_H3C_VM,
    /**
     * 阿里云云主机
     */
    MONITOR_ALIYUN_VM,
    /**
     * 腾讯云云主机
     */
    MONITOR_TENCENT_VM,
    /**
     * hmc云主机
     */
    MONITOR_HMC_VM,
    /**
     * smartX宿主机
     */
    MONITOR_SMARTX_HOST,
    /**
     * smartX云主机
     */
    MONITOR_SMARTX_VM,
    /**
     * CLOUDTOWER云主机
     */
    MONITOR_CLOUDTOWER_VM,
    /**
     * CLOUDTOWER宿主机
     */
    MONITOR_CLOUDTOWER_HOST,
}
