package com.bocloud.cms.enums;

/**
 * mysql状态
 * @author liuyuanyuan
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
public enum MysqlStatus {
    /**
     * 连接服务器次数
     */
    Connections, 
    /**
     * 当前连接数
     */
    Threads_connected, 
    /**
     * 当前打开表的数量
     */
    Open_tables, 
    /**
     * 时间超长的查询数量
     */
    Slow_queries, 
    /**
     * FLUSH命令执行次数
     */
    Flush_commands,  
    /**
     * 尝试连接服务器失败次数
     */
    Aborted_connects, 
    /**
     * 请求从一张表中删除行的次数
     */
    Handler_delete, 
    /**
     * 请求更新表中一行的次数
     */ 
    Handler_update, 
    /**
     * 请求向表中插入一行的次数
     */
    Handler_write, 
    /**
     * 请求读入表中第一行的次数
     */
    Handler_read_first, 
    /**
     * 请求数字基于键读行
     */
    Handler_read_key, 
    /**
     * 请求读入基于一个键的一行的次数
     */
    Handler_read_next, 
    /**
     * 请求读入基于一个固定位置的一行的次数
     */
    Handler_read_rnd, 
    /**
     * 用于关键字缓存的块的数量
     */
    Key_blocks_used, 
    /**
     * 请求从缓存读入一个键值的次数
     */ 
    Key_read_requests, 
    /**
     * 从磁盘物理读入一个键值的次数
     */
    Key_reads, 
    /**
     * 请求将一个关键字块写入缓存次数
     */
    Key_write_requests, 
    /**
     * 将一个键值块物理写入磁盘的次数
     */
    Key_writes, 
    /**
     * 运行时长
     */
    Uptime 
}
