package com.bocloud.cms.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * alertManager实体类
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.5.0-SNAPSHOT
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class AlertManagerSilenc {

    private String id;
    private String status;
    private List<Matcher> matchers;
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ss")
    private Date startsAt;
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ss")
    private Date endsAt;
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ss")
    private Date updatedAt;
    private String createdBy;
    private String comment;

    @EqualsAndHashCode(callSuper = false)
    @Data
    public static class Matcher {
        private String name;
        private String value;
        private boolean isRegex;
        private boolean isEqual = true;
    }

    @EqualsAndHashCode(callSuper = false)
    @Data
    public static class Status {
        private String state;
    }

}
