package com.bocloud.cms.model;

import com.bocloud.common.utils.Common;

/**
 * 屏蔽策略
 *
 * @author zhangyf
 * @since 2018-12-25
 */
public class BlockPolicy {

    /**
     * 星期几，从周日开始，初始为0
     */
    private int week;
    /**
     * 开始时间
     */
    private String beginTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * on:产生告警，off:屏蔽告警
     */
    private String type;

    public BlockPolicy() {
    }

    public int getWeek() {
        return week;
    }

    public void setWeek(int week) {
        this.week = week;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public int getBeginHour() {
        String beginHour = beginTime.split(":")[0];
        return replaceIfWith(beginHour);
    }

    public int getBeginMinute() {
        String beginMinute = beginTime.split(":")[1];
        return replaceIfWith(beginMinute);
    }

    public int getEndHour() {
        String endHour = endTime.split(":")[0];
        return replaceIfWith(endHour);
    }

    public int getEndMinute() {
        String endMinute = endTime.split(":")[1];
        return replaceIfWith(endMinute);
    }

    private int replaceIfWith(String text) {
        if (text.startsWith(Common.ZERO)) {
            return Integer.parseInt(text.replaceFirst("0", ""));
        }
        return Integer.parseInt(text);
    }
}
