package com.bocloud.cms.model;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cms.enums.Operator;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * prometheus表达式标签匹配参数
 *
 * @author zhangyf
 * @since 2019-12-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class LabelParam {
    private String label;
    private String value;
    private Operator operator;

    public LabelParam() {
        this.operator = Operator.EQ;
    }

    public LabelParam(String label, String value) {
        this.label = label;
        this.value = value;
        this.operator = Operator.EQ;
    }

    public LabelParam(String label, String value, Operator operator) {
        this.label = label;
        this.value = value;
        this.operator = operator;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}