package com.bocloud.cms.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * prometheus alertmanager发送告警信息模型
 * https://prometheus.io/docs/alerting/configuration/#webhook_config
 *
 * @author zhangyf
 * @since 2018-12-27
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class PrometheusAlarm {
    private String version;
    private String groupKey;
    /**
     * resolved|firing
     */
    private String status;
    private String receiver;
    private Map<String, Object> groupLabels;
    private Map<String, Object> commonLabels;
    private Map<String, Object> commonAnnotations;
    private String externalUrl;

    private List<PrometheusAlert> alerts;

    @EqualsAndHashCode(callSuper = false)
    @Data
    public static class PrometheusAlert {
        /**
         * resolved|firing
         */
        private String status;
        private Map<String, Object> labels;
        private Map<String, Object> annotations;
        @JSONField(format = "yyyy-MM-dd'T'HH:mm:ss")
        private Date startsAt;
        @JSONField(format = "yyyy-MM-dd'T'HH:mm:ss")
        private Date endsAt;
        private String generatorUrl;

    }

}
