package com.bocloud.cms.model;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 值类型
 *
 * @author zhangyf
 * @since 2018-12-22
 */
public class ValueTypeData {
    private static Map<String, String> values = new LinkedHashMap<>();
    private static Map<String, Map<String, String>> valueTypes = new LinkedHashMap<>();

    public enum ValueType {

        /**
         * 容量
         */
        CAPACITY("容量"),
        /**
         * 包速率
         */
        PACKETRATE("包速率"),
        /**
         * 速率
         */
        RATE("速率"),
        /**
         * 数值
         */
        NUMBER("数值"),
        /**
         * 数值/时间
         */
        NUMBER_TIME("数值/时间"),
        /**
         * 时间
         */
        TIME("时间"),
        /**
         * 百分比
         */
        PERCENTAGE("百分比"),
        /**
         * 布尔
         */
        BOOLEAN("布尔");
        /**
         * 显示值
         */
        String text;

        ValueType(String text) {
            this.text = text;
        }

    }

    static {
        Map<String, String> capacity = new LinkedHashMap<>();
        capacity.put("KB", "KB");
        capacity.put("MB", "MB");
        capacity.put("GB", "GB");
        capacity.put("TB", "TB");

        Map<String, String> packetRate = new LinkedHashMap<>();
        packetRate.put("pps", "pps");
        packetRate.put("Kpps", "Kpps");
        packetRate.put("Mpps", "Mpps");
        packetRate.put("Gpps", "Gpps");
        packetRate.put("Tpps", "Tpps");

        Map<String, String> rate = new LinkedHashMap<>();
        rate.put("Kbps", "Kbps");
        rate.put("Mbps", "Mbps");
        rate.put("Gbps", "Gbps");
        rate.put("Tbps", "Tbps");

        Map<String, String> number = new LinkedHashMap<>();
        number.put("", "无单位");
        number.put("count", "次");
        number.put("number", "个");
        number.put("Mhz", "Mhz");
        number.put("watt", "watt");
        number.put("C", "C");

        Map<String, String> time = new LinkedHashMap<>();
        time.put("millisecond", "毫秒");
        time.put("sencond", "秒");
        time.put("minute", "分");
        time.put("hour", "时");
        time.put("day", "天");
        time.put("year", "年");

        Map<String, String> numberTime = new LinkedHashMap<>();
        numberTime.put("millisecond", "次/毫秒");
        numberTime.put("sencond", "次/秒");
        numberTime.put("minute", "次/分");
        numberTime.put("hour", "次/时");
        numberTime.put("day", "次/天");
        numberTime.put("year", "次/年");

        Map<String, String> percentage = new LinkedHashMap<>();
        percentage.put("percentage", "%");

        Map<String, String> bool = new LinkedHashMap<>();
        bool.put("", "无单位");

        valueTypes.put(ValueType.CAPACITY.name(), capacity);
        valueTypes.put(ValueType.PACKETRATE.name(), packetRate);
        valueTypes.put(ValueType.RATE.name(), rate);
        valueTypes.put(ValueType.NUMBER.name(), number);
        valueTypes.put(ValueType.TIME.name(), time);
        valueTypes.put(ValueType.PERCENTAGE.name(), percentage);
        valueTypes.put(ValueType.BOOLEAN.name(), bool);
        valueTypes.put(ValueType.NUMBER_TIME.name(), numberTime);
        for (int i = 0; i < ValueType.values().length; i++) {
            values.put(ValueType.values()[i].name(), ValueType.values()[i].text);
        }
    }

    public static Map<String, Map<String, String>> getValueTypes() {
        return valueTypes;
    }

    public static Map<String, String> getValues() {
        return values;
    }

}
