package com.bocloud.cop.model;

import com.bocloud.common.enums.OSCategory;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Worker请求目标封装类
 *
 * @author dmw
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WorkerHost {

    /**
     * id
     */
    private Long id;
    /**
     * 主机IP
     */
    private String host;
    /**
     * 操作账号
     */
    private String user;
    /**
     * 账号密码
     */
    private String pasd;
    /**
     * SSH端口，默认22
     */
    private Integer port;
    /**
     * 关联的任务名称
     */
    private String task;
    /**
     * 主机名称
     */
    private String rawName;
    /**
     * 操作系统类型，默认Linux
     */
    private String category = OSCategory.LINUX.name();
    private String connection;

    public WorkerHost(String host, String connection) {
        super();
        this.host = host;
        this.connection = connection;
    }

    public WorkerHost(String host, String user, String pasd, Integer port, OSCategory category) {
        super();
        this.host = host;
        this.user = user;
        this.pasd = pasd;
        this.category = category.name();
        if (null == port || 0 >= port) {
            switch (category) {
                case WINDOWS:
                    this.port = 5986;
                    break;
                case LINUX:
                    this.port = 22;
                    break;
                case UNIX:
                    this.port = 22;
                    break;
                default:
                    this.port = 22;
                    break;
            }
        } else {
            this.port = port;
        }
    }

    public WorkerHost(Long id, String host, String user, String pasd, Integer port, OSCategory category) {
        super();
        this.id = id;
        this.host = host;
        this.user = user;
        this.pasd = pasd;
        this.category = category.name();
        if (null == port || 0 >= port) {
            switch (category) {
                case WINDOWS:
                    this.port = 5986;
                    break;
                case LINUX:
                    this.port = 22;
                    break;
                case UNIX:
                    this.port = 22;
                    break;
                default:
                    this.port = 22;
                    break;
            }
        } else {
            this.port = port;
        }
    }

}
