package com.bocloud.dms.entity;

import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.ims.entity.Server;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 存储磁盘
 *
 * @author luyanchao
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class Disk extends GenericEntity {

    /**
     * id
     */
    private Long id;
    /**
     * 所属平台
     */
    private Long vendorId;
    /**
     * 所属主机
     */
    private Long serverId;
    /**
     * 所属存储
     */
    private Long storageId;
    /**
     * 所属Raid卡的id
     */
    private Long controllerId;
    /**
     * 所属MdiskId
     */
    private Long mdiskId;
    /**
     * 所属MdiskName
     */
    private String mdiskName;
    /**
     * 唯一标识
     */
    private String diskUuid;
    /**
     * 驱动器标识
     */
    private String identifier;
    /**
     * 数据块大小
     */
    private Double blockSize;
    /**
     * 用途
     */
    private String forUse;
    /**
     * 是否root盘
     */
    private Boolean isBoot;
    /**
     * 是否缓存盘
     */
    private Boolean isCache;
    /**
     * 端口1状态
     */
    private String port1Status;
    /**
     * 端口2状态
     */
    private String port2Status;
    /**
     * 数据状态
     */
    private String dataStatus;
    /**
     * 容量GB
     */
    private Double size;
    /**
     * 容量Byte
     */
    private Long capacity;
    /**
     * 已用容量Byte
     */
    private Long usedCapacity;
    /**
     * 型号
     */
    private String mode;
    /**
     * 转速
     */
    private Integer rpm;
    /**
     * 固件级别
     */
    private String firmwareLevel;
    /**
     * 唯一标识
     */
    private String uid;
    /**
     * 插槽标识
     */
    private String slotId;
    /**
     * 机柜标识
     */
    private String enclosureId;
    /**
     * 磁盘标识
     */
    private String driveId;
    /**
     * 部件标识
     */
    private String fruId;
    /**
     * 部件号
     */
    private String fruPartNum;
    /**
     * 技术类型
     */
    private String techType;
    /**
     * 节点标识
     */
    private String nodeId;
    /**
     * 节点名称
     */
    private String nodeName;
    /**
     * 供应商标识
     */
    private String providerId;
    /**
     * 产品编号
     */
    private String productId;
    /**
     * fpga级别
     */
    private String fpgaLevel;
    /**
     * 成员标识
     */
    private String memberId;
    /**
     * 定额标识
     */
    private String quorumId;
    /**
     * smis传参用
     */
    private String keyPath;
    /**
     * 运行状态
     */
    private String operationalStatus;
    /**
     * 硬盘类型
     */
    private String captionType;
    /**
     * 硬盘加密类型
     */
    private String encryption;
    private List<DiskPartition> partitions;
    /**
     * 所属主机
     */
    private Server server;
    /**
     * 已用容量GB
     */
    private Double usedSize;

}
