package com.bocloud.dms.entity;

import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.bean.GenericEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 对象用户
 *
 * @author weiwei
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class ObjectUser extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    /**
     * 过期时间
     */
    private Date expiredTime;
    /**
     * 云供应商ID
     */
    private Long vendorId;
    /**
     * 租户ID
     */
    private Long tenantId;
    private String uuid;
    private Long userId;
    private String email;
    private Long bucketMax;
    private Long sizeMax;
    private String accessKey;
    private String secretKey;
    @JsonSerialize(using = DateSerializer.class)
    @com.fasterxml.jackson.databind.annotation.JsonDeserialize(using = com.bocloud.common.utils.DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String instanceId;
    private int bucketCount;
    private String sizeUsed;
    private String ratio;

    /**
     * 存储桶个数
     */
    private Long bucketNum;
    private Long bucketQuotaMaxObjects;
    private Long bucketQuotaMaxSize;
    /**
     * 存储桶最大数量 未使用 maxBuckets
     */
    private Long maxBuckets;
    /**
     * read,write,delete
     */
    private String opMask;
    private Long userQuotaMaxObjects;
    /**
     * 最大使用量
     */
    private Long userQuotaMaxSize;
    /**
     * 用户对象使用 个数
     */
    private Long allocatedObjects;
    /**
     * 用户容量使用 已使用
     */
    private Long allocatedSize;
    private Boolean suspended;
    /**
     * 上传数据总量
     */
    private Long totalRxBytes;
    /**
     * 下载数据总理
     */
    private Long totalTxBytes;


}
