package com.bocloud.dms.entity;

import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 存储服务器
 *
 * @author luyanchao
 * @since 2019/1/25 13:48
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class Storage extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    /**
     * 云供应商ID
     */
    private Long vendorId;
    /**
     * 唯一标识
     */
    private String uuid;
    /**
     * ip地址
     */
    private String ip;
    /**
     * 端口
     */
    private Integer port;
    /**
     * 主机名
     */
    private String host;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 存储类型
     */
    private String type;

    /**
     * 总容量
     */
    private Double totalCapacity;
    /**
     * 已用容量
     */
    private Double usedCapacity;
    /**
     * 可用容量
     */
    private Double freeCapaticy;

    /**
     * hdd总容量
     */
    private Double hddTotalCapacity;
    /**
     * hdd已用容量
     */
    private Double hddUsedCapacity;
    /**
     * hdd可用容量
     */
    private Double hddFreeCapaticy;

    /**
     * ssd总容量
     */
    private Double ssdTotalCapacity;
    /**
     * ssd已用容量
     */
    private Double ssdUsedCapacity;
    /**
     * ssd可用容量
     */
    private Double ssdFreeCapaticy;

    /**
     * mdisk中容量
     */
    private Double mdiskCapacity;
    /**
     * 存储池中容量
     */
    private Double poolCapacity;
    /**
     * 分配给卷的容量
     */
    private Double vdiskCapacity;
    /**
     * 存储卷总容量
     */
    private Double vdiskTotalCapacity;
    /**
     * 存储卷拷贝容量
     */
    private Double vdiskCopyCapacity;
    /**
     * 总超量分配百分比
     */
    private Integer overAllocation;
    private String poolName;
    /**
     * 是否支持压缩
     */
    private Boolean compressionSuppoerd;
    /**
     * 默认存储器模板id
     */
    private Long defaultTemplateId;
    /**
     * 默认存储器模板id
     */
    private String defaultTemplateUuid;
    /**
     * 存储池的信息
     */
    @IgnoreAll
    private VolumePool volumePool;
    /**
     * 系统标识
     */
    private String identifier;
    /**
     * 软件版本
     */
    private String codeVersion;
    /**
     * 唯一标识
     */
    private String storageUuid;
    /**
     * smis传参用
     */
    private String keyPath;
    /**
     * 运行状态
     */
    private String operationalStatus;
    /**
     * 序列号
     */
    private String sn;
    /**
     * 设备版本
     */
    private String version;
    /**
     * 总硬盘数量
     */
    @IgnoreAll
    private Integer diskAllCount;
    /**
     * 已用硬盘数量
     */
    @IgnoreAll
    private Integer diskUseCount;
    /**
     * disk中容量
     */
    @IgnoreAll
    private Double diskCapacity;
    /**
     * iSCSI客户端发现时需要填写的用户名
     */
    private String discoveryUsername;
    /**
     * iSCSI客户端发现时需要填写的密码
     */
    private String discoveryPassword;
    /**
     * iSCSI客户端发现时需要填写的密码是否加密
     */
    private Boolean discoveryEncrypted;
    /**
     * iSCSI客户端发现时是否使用双向认证
     */
    private Boolean discoveryChap;
    /**
     * iSCSI客户端用户名
     */
    private String discoveryMutualUsername;
    /**
     * iSCSI客户端密码
     */
    private String discoveryMutualPassword;
    /**
     * iSCSI客户端密码是否加密
     */
    private Boolean discoveryMutualEncrypted;

}
