package com.bocloud.dms.entity;

import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.DateSerializer;
import com.bocloud.common.utils.DaySerializer;
import com.bocloud.entity.bean.GenericEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 云硬盘实体类
 *
 * @author wangyu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Volume extends GenericEntity {

    /**
     *ID
     */
    private Long id; 
    /**
     *块设备ID
     */
    private String volumeUuid; 
    /**
     *大小
     */
    private Integer size; 
    /**
     *云供应商ID
     */
    private Long vendorId; 
    /**
     *卷所在区域
     */
    private String region; 
    /**
     *类型
     */
    private String type; 
    /**
     *是否是作为系统盘的云硬盘
     */
    private Boolean bootVolume;
    /**
     *型号
     */
    private String category;
    /**
     *自动删除快照
     */
    private Boolean deleteAutoSnapshot;
    /**
     *随实例删除
     */
    private Boolean deleteWithInstance;
    private Boolean enableAutoSnapshot;
    /**
     *镜像ID
     */
    private String imageUuid; 
    /**
     *实例ID
     */
    private String instanceId; 
    /**
     *区域
     */
    private String zone;  
    /**
     *原快照ID
     */
    private String sourceSnapshotId; 
    private String requestId;
    /**
     *云主机ID
     */
    private Long serverId;  
    /**
     *挂载路径
     */
    private String device;  
    /**
     *租户ID
     */
    private Long tenantId; 
    private Long projectId;
    /**
     *硬盘对象唯一标识符
     */
    private String diskObjectId; 
    /**
     *过期时间
     */
    @JsonSerialize(using = DaySerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredTime; 
    /**
     *挂载时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date attachedTime; 
    /**
     *解挂时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date detachedTime; 
    /**
     *云硬盘的创建时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime; 
    /**
     *是否为共享盘
     */
    private Boolean multiattach;  
    private Long cloudServerCount;
    private Long imageCount;
    /**
     *云硬盘类型Id
     */
    private Long volumeTypeId; 
    /**
     *云硬盘类型
     */
    private String volumeType; 
    /**
     *openstack底层项目UUID
     */
    private String tenantUuid; 
    /**
     *账号类别
     */
    private RequestContext.Catalog catalog; 
    /**
     *uuid
     */
    private String uuid; 
    /**
     *skuId
     */
    private Long skuId; 
    /**
     *按照状态汇总
     */
    private Integer countStatus; 
    /**
     *vendorName
     */
    private String vendorName;  
    /**
     *vendorType
     */
    private String vendorType;  
    /**
     *镜像所在区域名称
     */
    private String regionName;  
    /**
     *云主机名称
     */
    private String serverName;  
    /**
     *所属租户
     */
    private String tenantName; 
    /**
     *所属项目
     */
    private String projectName; 
    /**
     *项目类型
     */
    private String projectVisibility;  
    /**
     *租户用户
     */
    private String targetName; 
    private String zoneName;
    /**
     * 过期时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date diskExpireTime;
    /**
     * 计费类型
     */
    private String diskChargeType;
    private String regionId;
    /**
     * 存储唯一标识
     */
    private Long dataStoreId;
    /**
     * 存储名称
     */
    private String dataStoreName;
    private Long templateId;
    private String templateName;
    private Long storageId;
    private String storageName;
    private String storageUuid;
    private Long storageDefaultTemplateId;
    /**
     *备份数量
     */
    private String backupCount;  
    private String vaultsUuid;
    /**
     *卷block的数量
     */
    private Long blockCount;  
    /**
     *block的大小
     */
    private Double blockSize;  
    /**
     *volume_pool 表id
     */
    private Long poolId;  
    /**
     *volume_pool 表name
     */
    private String poolName;  
    /**
     *镜像同步速率
     */
    private Integer syncRate;  
    /**
     * UDID (OpenVMS)
     */
    private String udid; 
    /**
     *是否是压缩卷
     */
    private Boolean compressed;  
    /**
     *是否是精简卷
     */
    private Boolean thinlyProvisioned;  
    /**
     *卷标识
     */
    private String identifier;  
    private Integer storageHostCnt;
    /**
     *smis传参用
     */
    private String keyPath;  
    /**
     *azure 资源组名称
     */
    private String azureResourceGroupName;  
    /**
     *运行状态
     */
    private String operationalStatus;  
    private String groupNames;
    private String volumeTypeName;
    private Long volumeCount;
    private Integer inGroupCount;
    private Double poolFreeCapacity;
    /**
     *已分配的容量
     */
    private Double allocatedSize;  
    /**
     *存储卷的关联快照id
     */
    private Long snapshotId;  
    /**
     *存储卷的所属一致性组id
     */
    private Long syncedSetId;  
    /**
     *存储卷的关联访问路径id
     */
    private Long accessPathId;  
    /**
     * 卷是否设置业务 QoS
     */
    private Boolean qosEnabled; 
    /**
     *卷qos设置的参数
     */
    private String qos; 
    /**
     *卷性能优先级
     */
    private Long performancePriority;  
    /**
     *卷迁移速率级别
     */
    private Long migrationStripes;  
    /**
     *卷性能数据
     */
    private String sample;  
    private String accessPathName;
    private String syncedSetName;
    private Integer snapshotCount;
    private String snapshotName;
    private String osTenantName;
    /**
     *磁盘每秒读写次数
     */
    private Integer iops; 
    /**
     *lvm挂载点
     */
    private String lvmMntp;  
    /**
     *是否强制挂载
     */
    private Boolean forceMount;  
    /**
     *文件系统
     */
    private String fileSystem; 
    private String storeVal;
    /**
     *用途，EMC存储在用
     */
    private String forUse;  
}
