package com.bocloud.dms.entity.xksy;

import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.bean.GenericEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * FileSystem实体类
 * @author liuyuanyuan
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class FileSystem extends GenericEntity {

	private Long id;
	private Long vendorId;
	private Long tenantId;
	private Long projectId;
	@JsonSerialize(using = DateSerializer.class)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	@JsonSerialize(using = DateSerializer.class)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	private String fileSystemUuid;
	private Long accessMemberNum;
	private String actionStatus;
	private String blockVolumeStatus;
	private Boolean flattened;
	private Boolean formatted;
	private Long fsQuotaTreeNum;
	private Long fsSnapshotNum;
	@JsonSerialize(using = DateSerializer.class)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date latestSnapshotTime;
	private Double progress;
	private String qos;
	private Boolean qosEnabled;
	private Boolean shared;
	private Double size;
	private String samples;
	private Double usedKbyte;
	private String accessPathUuid;
	private String accessPathName;
	private String blockVolumeUuid;
	private String blockVolumeName;
	private String poolUuid;
	private String poolName;
	private String fsSnapshotUuid;
	private String fsSnapshotName;

}
