package com.bocloud.ims.entity;

import com.bocloud.entity.bean.GenericEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 云供应商实体类
 *
 * @author wangyu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CloudVendor extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    /**
     * 平台类型
     */
    private String type;
    /**
     * 所在环境
     */
    private Long envId;
    /**
     * butler uuid
     */
    private String uuid;
    /**
     * 全局唯一标识
     */
    private String guid;
    /**
     * 是否开启告警
     */
    private Boolean isAlarm;
    /**
     * 是否为公有云
     */
    private Boolean isPublic;
    /**
     * 云平台同步任务cron
     */
    private String syncCron;
    /**
     * 数据中心id
     */
    private Long dcId;
    /**
     * 版本
     */
    private String version;
    /**
     * 平台图标
     */
    private String logo;
    /**
     * 平台分类
     */
    private String vendorCategory;
    /**
     * 平台认证信息(address,account,password,tenant,access_key,secret_key,domain_name,project_name,region_id,regions,management_ips,subscription_id,client_id,token)
     */
    private String authentication;
    /**
     * 区域
     */
    private String region;
    /**
     * 可用域
     */
    private String availablitiyZone;
    /**
     * 站点位置
     */
    private String location;
    /**
     * 供应商
     */
    private String supplier;
    /**
     * dockerAddress
     */
    private String dockerAddress;
    /**
     * 远程站点
     */
    private String remoteSite;
    /**
     * 部署机url
     */
    private String deployUrl;
    /**
     * 部署机用户名
     */
    private String deployUsername;
    /**
     * 部署机密码
     */
    private String deployPassword;
    private Long harborId;
    private String harborName;
    private String regionsName;
    private List<Server> servers;
    private String envName;
    private String dcName;
    /**
     * 实例数量
     */
    private Long instance;
    /**
     * 在线
     */
    private Long online;
    /**
     * 离线
     */
    private Long offline;
    /**
     * 主机数量
     */
    private Long hostCount;
    /**
     * 数据存储数量
     */
    private Long dataStoreCount;
    /**
     * 模板数量
     */
    private Long templateCount;
    /**
     * 集群数量
     */
    private Long clusterCount;
    /**
     * 镜像数量
     */
    private Long imageCount;
    /**
     * cpu核数
     */
    private Long cpuCount;
    /**
     * 控制节点数量
     */
    private Long monCount;
    /**
     * osd节点数量
     */
    private Long osdCount;
    /**
     * mds节点数量
     */
    private Long mdsCount;
    /**
     * cpu总赫兹
     */
    private Long cpuTotal;
    private Long cpuUsed;
    private Long cpuUnused;
    /**
     * 总内存
     */
    private BigDecimal memTotal;
    private BigDecimal memUsed;
    private BigDecimal memUnused;
    private BigDecimal diskTotal;
    private BigDecimal diskUsed;
    private BigDecimal diskUnused;
    /**
     * 租户数量
     */
    private Long tenantCount;
    /**
     * 网络数量
     */
    private Long networkCount;
    /**
     * virtual server数量
     */
    private Long vsCount;
    /**
     * pool数量
     */
    private Long poolCount;
    /**
     * node数量
     */
    private Long nodeCount;
    /**
     * profile数量
     */
    private Long profileCount;
    /**
     * monitor数量
     */
    private Long monitorCount;
    /**
     * vpc数量
     */
    private Long vpcCount;
    /**
     * 逻辑分区数量
     */
    private Long lparCount;
    /**
     * 虚拟IO服务器数量
     */
    private Long viosCount;
    /**
     * mdisk数量
     */
    private Long mdiskCount;
    /**
     * FlashCopy数量
     */
    private Long flashCopyCount;
    /**
     * 光纤交换机数量
     */
    private Long fabricCount;
    /**
     * zone的数量
     */
    private Long zoneCount;
    /**
     * k8s namespace count
     */
    private Long nsCount;
    private Long podCount;
    private Long serviceCount;
    private Long deploymentCount;
    /**
     * 别名的数量
     */
    private Long aliasCount;
    private Long accessPathCount;
    /**
     * edge集群
     */
    private Long edgeClusterCount;
    /**
     * NS组
     */
    private Long groupCount;
    /**
     * 传输区域
     */
    private Long transportZoneCount;
    /**
     * 防火墙
     */
    private Long firewallCount;
    /**
     * 路由器
     */
    private Long routerCount;
    /**
     * 交换机
     */
    private Long switchCount;
    /**
     * 对象用户
     */
    private Long objectUserCount;
    /**
     * 存储桶
     */
    private Long objectBucketCount;
    /**
     * 对象路由
     */
    private Long objectRouterCount;
    /**
     * xsky 文件用户
     */
    private Long fileUserCount;
    /**
     * xsky 文件客户端
     */
    private Long fileClientCount;
    /**
     * 快照
     */
    private Long snapshotCount;
    /**
     * 文件系统数量
     */
    private Long fileSystemCount;
    /**
     * 逻辑端口
     */
    private Long logicPortCount;
    /**
     * 逻辑vas
     */
    private Long vasCount;
    /**
     * 堡垒机-数据库数量
     */
    private Long dbCount;
    /**
     * 堡垒机-应用数量
     */
    private Long appCount;
    /**
     * 堡垒机-会话数量
     */
    private Long sessionCount;

    /********** vmware horizon桌面池统计 **************/
    private Long desktopPools;
    private Long farms;
    private Long sessions;
    private Long users;
    private Long vcenters;
    private Long vendorGroupId;

}
