package com.bocloud.ims.entity;

import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.bean.Generic;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Server配置
 *
 * @author dongkai
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ServerConfig extends Generic {

    /**
     * ID
     */
    private Long id;
    private String username;
    private String password;
    private String ipmiAccount;
    /**
     * 装机节点IPMI所有用户
     */
    private String ipmiUsers;
    /**
     * 装机节点IPMI所有地址信息
     */
    private String ipmiIps;
    private String ipmiPassword;
    private String ipmiAddress;
    private Integer ipmiPort;
    private Boolean supportDocker;
    private String dockerVersion;
    private String cephVersion;
    private String fileSystem;
    private String mac;
    private String kernelVersion;
    private Boolean virtualized;
    private String keyStore;
    private String vtMode;
    private String osName;
    private String osVersion;
    private Integer sshPort;
    private String cpuVendor;
    private Integer cpuAmount;
    private String cpuMode;
    private Integer cpuCore;
    private Long cpuHz;
    private String memoryMode;
    private Double memoryCapacity;
    private Double swapCapacity;
    private Double diskCapacity;
    private String biosVersion;
    private String biosVendor;
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date biosDate;
    private Long serverId;
    private Long cpuUsed;
    private Double memUsed;
    /**
     * 保留内存
     */
    private Double memReserved;
    private Double diskUsed;
    /**
     * 虚拟处理器单元数
     */
    private Double hmcCpu;
    /**
     * 保留处理器单元数
     */
    private Double hmcCpuReserved;
    /**
     * 已用处理器单元数
     */
    private Double hmcCpuUsed;
    /**
     * 厂商信息
     */
    private String vendor;
    private String esxVersion;
    private String evc;
    private String assignedLicense;

}
