package com.bocloud.ims.entity.kubernetes;

import com.bocloud.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * k8s节点
 *
 * @author weiwei
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class KubeNode extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    /**
     * 实例ID
     */
    private String instanceId;
    /**
     * 地址
     */
    private String address;
    /**
     * pod cidr
     */
    private String podCidr;
    /**
     * 角色
     */
    private String role;
    /**
     * 云供应商Id
     */
    private Long vendorId;
    private String labels;
    private Boolean schedulable;
    private String annotations;
    private String machineId;
    private String systemUuid;
    private String bootId;
    private String kernelVersion;
    private String osImage;
    private String containerRuntimeVersion;
    private String kubeletVersion;
    private String kubeProxyVersion;
    private String operatingSystem;
    private String architecture;
    private String nodeIp;
    /**
     * uuid
     */
    private String uid;
    private String kind;
    private String apiVersion;
    private Integer cpu;
    private BigDecimal memory;
    private String cpuUsed;
    private String memoryUsed;
    private String cpuPercent;
    private String memoryPercent;

}
