package com.bocloud.nms.entity;

import com.bocloud.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 光纤交换机端口
 *
 * @author luyanchao
 * @since 2019/6/5 14:28
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SanFabricPort extends GenericEntity {

    /**
     * id
     */
    private Long id;
    /**
     * 所属光纤交换机id
     */
    private Long fabricId;
    /**
     * 端口号
     */
    private Integer number;
    /**
     * 唯一标识
     */
    private String wwn;
    /**
     * 类型
     */
    private String type;
    /**
     * 是否支持npiv云主机技术
     */
    private Boolean npivEnabled;
    /**
     * 端口速率
     */
    private String speed;
    /**
     * 最大端口速率
     */
    private String maxSpeed;

    /**
     * cisco新增
     */
    private Long vendorId;
    /**
     * 光纤口使用
     */
    private Long vsanId;
    /**
     * 管理模式
     */
    private String adminMode;
    /**
     * trunk模式
     */
    private String trunkMode;
    /**
     * 操作模式
     */
    private String operMode;
    private String sfp;

    /**
     * 物理口,隧道口使用
     */
    private String mode;
    private String reason;

    /**
     * 隧道口
     */
    private String protocol;

    /**
     * 管理口使用
     */
    private String ip;
    private String mtu;
}
