package com.bocloud.pms.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 数据库用户类
 *
 * @author weiwei
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CmsUser extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    /**
     * 用户名
     */
    private String name;
    /**
     * 密码
     */
    private String password;
    /**
     * 主机
     */
    private String host;
    /**
     * 消息队列ID
     */
    private Long mqId;
    /**
     * 数据库实例ID集合
     */
    private String dbs;
    private String permission;
    /**
     * new密码
     */
    private String newPassword;
    private List<RdsDb> grantDbs;
    private List<RdsDb> revokeDbs;
    private Boolean tracing;
    private String tags;
    @JSONField(name = "password_hash")
    private String passwordHash;
    private String user;
    private String vhost;
    private String configure;
    private String write;
    private String read;

    /**
     * @param name
     * @param password
     * @param host
     * @param mqId
     */
    public CmsUser(String name, String password, String host, Long mqId) {
        super();
        this.name = name;
        this.password = password;
        this.host = host;
        this.mqId = mqId;
    }

}
