package com.bocloud.sms.entity;

import com.alibaba.fastjson.JSONArray;
import com.bocloud.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 项目实体类
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Project extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    /**
     * 可见性(内部项目/公共项目/默认项目)
     */
    private String visibility;
    /**
     * 租户ID
     */
    private Long tenantId;
    /**
     * 租户ID
     */
    private String tenantIds;
    /**
     * 所属业务ID
     */
    private Long businessId;
    /**
     * 编码
     */
    private String code;
    /**
     * 项目唯一标识
     */
    private String guid;
    /**
     * 项目经理Id集合
     */
    private String managerIds;
    /**
     * 项目供应商Id集合
     */
    private String providerIds;
    /**
     * 配额
     */
    private JSONArray quotas;
    /**
     * 租户名称
     */
    private String tenantName;
    /**
     * 租户名称集合
     */
    private String tenantNames;
    /**
     * 租户名称集合
     */
    private List<String> tenantNameList;
    /**
     * 资源数量
     */
    private int resourceNum;
    /**
     * 项目负责人ID
     */
    private Long managerId;
    /**
     * 项目负责人名称
     */
    private String managerName;
    /**
     * 项目负责人名称集合
     */
    private List<String> managerNameList;
    /**
     * 供应商负责人名称
     */
    private String providerName;
    /**
     * 项供应商负责人名称集合
     */
    private List<String> providerNameList;
    /**
     * 用户数
     */
    private Integer userCount;
    private String businessName;
}
