package com.bocloud.sms.entity;

import com.bocloud.common.utils.DateDeserializer;
import com.bocloud.common.utils.DateSerializer;
import com.bocloud.entity.bean.GenericEntity;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 自服务用户
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年1月29日
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class User extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    /**
     * 账号
     */
    private String account;
    /**
     * 密码
     */
    private String password;
    /**
     * 邮件
     */
    private String email;
    /**
     * 电话
     */
    private String phone;
    /**
     * 移动电话
     */
    private String mobile;
    /**
     * 登录状态
     */
    private Boolean loginStatus;
    /**
     * 公司
     */
    private String company;
    /**
     * sessionId
     */
    private String sessionId;
    private String tenantName;
    /**
     * 对应租户账号
     */
    private String tenantAccount;
    private BigDecimal discount;
    /**
     * 租户ID
     */
    private Long tenantId;
    private List<String> roleNames;
    /**
     * 组织机构ID
     */
    private Long departId;
    private String departIds;
    /**
     * 组织机构名称
     */
    private String departName;
    /**
     * 工号
     */
    private Boolean checked;
    private String jobNumber;
    private Boolean sex;
    /**
     * 当前登录的项目ID
     */
    private Long projectId;
    private List<Long> projectIds;
    private String tenantIds;
    /**
     * 头像
     */
    private String portrait;
    private String origin;
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastPwdModifyDate;
    /**
     * 最后一次登录时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @JsonDeserialize(using = DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastLoginDate;

}
