package com.bocloud.cms.repository;

import com.bocloud.common.utils.ListTool;
import com.bocloud.common.utils.MapTools;
import com.bocloud.cms.entity.MonitorAllocationRatio;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.5.0-SNAPSHOT
 */
@Repository("allocationRatioRepository")
public class AllocationRatioRepository extends BasicGenericDao<MonitorAllocationRatio, Long> {

    public AllocationRatioRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    public MonitorAllocationRatio query(Long vendorId) {
        String sql = "select * from monitor_allocation_ratio where vendor_id = :vendorId ";
        Map<String, Object> paramMap = MapTools.simpleMap("vendorId", vendorId);
        List<MonitorAllocationRatio> ratios = this.list(MonitorAllocationRatio.class, sql, paramMap);
        return ListTool.isEmpty(ratios) ? null : ratios.get(0);
    }

    public boolean delete(Long vendorId) {
        String sql = "delete from monitor_allocation_ratio where vendor_id = :vendorId ";
        Map<String, Object> paramMap = MapTools.simpleMap("vendorId", vendorId);
        return this.execute(sql, paramMap) > 0;
    }

}
