package com.bocloud.cms.repository;

import com.bocloud.common.utils.ListTool;
import com.bocloud.common.utils.MapTools;
import com.bocloud.cms.entity.MonitorAuth;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author lyy
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.5.0-SNAPSHOT
 */
@Repository("authRepository")
public class AuthRepository extends BasicGenericDao<MonitorAuth, Long> {

    public AuthRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    public MonitorAuth queryByVendorId(Long vendorId) {
        String sql = "select * from monitor_auth where vendor_id = :vendorId ";
        Map<String, Object> paramMap = MapTools.simpleMap("vendorId", vendorId);
        List<MonitorAuth> auth = this.list(MonitorAuth.class, sql, paramMap);
        return ListTool.isEmpty(auth) ? null : auth.get(0);
    }
}
