package com.bocloud.cms.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.cms.entity.AlarmSendPolicy;

/**
 * 告警分发策略service
 *
 * @author wangyu
 * @Version 1.0
 * @since 2017年7月11日
 */
public interface AlarmSendPolicyService {

    /**
     * 列表
     *
     * @param pager
     * @param context
     * @return
     */
    BocloudResult list(Pager pager, RequestContext context);

    /**
     * 添加
     *
     * @param alarmSendPolicy
     * @param context
     * @return 操作结果
     */
    BocloudResult create(AlarmSendPolicy alarmSendPolicy, RequestContext context);

    /**
     * 更新
     *
     * @param alarmSendPolicy 实体类
     * @param context
     * @param context
     * @return 操作结果
     */
    BocloudResult modify(AlarmSendPolicy alarmSendPolicy, RequestContext context);

    /**
     * 移除
     *
     * @param id
     * @param context
     * @return 操作结果
     */
    BocloudResult remove(Long id, RequestContext context);

    /**
     * 获取详细信息
     *
     * @param id
     * @return
     */
    BocloudResult detail(Long id);
}
