package com.bocloud.cms.intf;

import com.bocloud.cms.entity.AlarmTemplate;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;

import java.util.List;

/**
 * 告警模板
 * @author fanzx
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.5.0-SNAPSHOT
 */
public interface AlarmTemplateService {

    /**
     * 列表
     *
     * @param pager
     * @param context
     * @return
     */
    BocloudResult list(Pager pager, RequestContext context);

    /**
     * 添加
     * @param alarmTemplate
     * @param context
     * @return
     */
    BocloudResult create(AlarmTemplate alarmTemplate, RequestContext context);

    /**
     * 更新
     * @param alarmTemplate
     * @param context
     * @return
     */
    BocloudResult modify(AlarmTemplate alarmTemplate, RequestContext context);

    /**
     * 移除
     *
     * @param id
     * @param context
     * @return 操作结果
     */
    BocloudResult remove(Long id, RequestContext context);

    /**
     * 获取详细信息
     *
     * @param id
     * @return
     */
    BocloudResult detail(Long id);

    /**
     * 批量删除告警模板
     * @param ids
     * @param target
     * @return
     */
    BocloudResult batchRemove(List<Long> ids, Long target);
}
