package com.bocloud.cms.intf;

import com.bocloud.cms.entity.MonitorAnalysisRule;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;

/**
 * 监控分析Service接口
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.5.0-SNAPSHOT
 */
public interface AnalysisRuleService {

    /**
     * 监控分析列表
     *
     * @param pager
     * @param context
     * @return
     */
    BocloudResult list(Pager pager, RequestContext context);

    /**
     * 新增监控分析
     *
     * @param analysisRule
     * @param context
     * @return
     */
    BocloudResult create(MonitorAnalysisRule analysisRule, RequestContext context);

    /**
     * 修改监控分析
     *
     * @param analysisRule
     * @param context
     * @return
     */
    BocloudResult modify(MonitorAnalysisRule analysisRule, RequestContext context);

    /**
     * 删除监控分析
     *
     * @param id
     * @param userId
     * @return
     */
    BocloudResult remove(Long id, Long userId);

    /**
     * 监控分析详情
     *
     * @param id
     * @return
     */
    BocloudResult detail(Long id);


}
