package com.bocloud.cms.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.model.SimpleBean;
import com.bocloud.pms.entity.Cms;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * cmsService层
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
public interface CmsService extends MonitoringAble<Cms> {

    /**
     * 资源被创建后初始化
     *
     * @param cms
     * @throws Exception
     */
    void init(Cms cms) throws Exception;

    /**
     * 列表
     * @param pager
     * @param catalog
     * @param context
     * @param request
     * @return
     */
    BocloudResult list(Pager pager, String catalog, RequestContext context, HttpServletRequest request);

    /**
     * kafka Topic集合
     *
     * @param id
     * @return
     */
    List<SimpleBean> topicsOfKafka(Long id);

    /**
     * kafka consumer Group集合
     *
     * @param id
     * @return
     */
    List<SimpleBean> consumerGroupsOfKafka(Long id);

}
