package com.bocloud.cms.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.cms.entity.MonitorHostIpmi;
import com.bocloud.ims.entity.Server;

/**
 * 宿主机
 *
 * @author zhangyf
 * @since 2019-12-23
 */
public interface HostService extends MonitoringAble<Server> {

    /**
     * 宿主机资源概览
     *
     * @param id
     * @param type
     * @return
     */
    BocloudResult hostOverview(Long id, String type);

    /**
     * 宿主机Cpu、内存、磁盘信息
     *
     * @param id
     * @param type
     * @return
     */
    BocloudResult hostInfo(Long id, String type);

    /**
     * 主机列表，先从cmp查询，然后再查询ruleRelation，最后将结果拼到结果集里
     *
     * @param pager
     * @param context
     * @return
     */
    BocloudResult list(Pager pager, RequestContext context);

    /**
     * 主机绑定ipmi信息
     * @param monitorHostIpmi
     * @param user
     * @return
     */
    BocloudResult binding(MonitorHostIpmi monitorHostIpmi, RequestContext user);

    /**
     * 删除宿主机ipmi信息
     *
     * @param hostId
     * @param userId
     * @return
     */
    BocloudResult unbind(Long hostId, Long userId);

    /**
     * 查询ipmi详情
     *
     * @param hostId
     * @return
     */
    BocloudResult detail(Long hostId);

}