package com.bocloud.cms.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;

/**
 * KubernetesService层
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
public interface KubernetesService extends MonitoringAble {

    /**
     * 节点列表
     * @param pager
     * @param context
     * @return
     */
    BocloudResult listOfNode(Pager pager, RequestContext context);

    /**
     * pod列表
     * @param pager
     * @param context
     * @return
     */
    BocloudResult listOfPod(Pager pager, RequestContext context);

    /**
     * 根据nodeId进行修改
     * @param id
     * @return
     */
    BocloudResult detailOfNode(Long id);

    /**
     * 根据podName进行修改
     * @param name
     * @return
     */
    BocloudResult detailOfPod(String name);

}
