package com.bocloud.cms.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.cms.entity.Metric;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;

import java.util.List;

/**
 * 监控指标
 * @author fanzhenxi
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
public interface MetricService {
    /**
     * 指标列表展示
     *
     * @param resourceType
     * @return
     */
    BocloudResult list(String resourceType);

    /**
     * 按id查询，先从缓存中查询，如果未命中，则查询数据库
     *
     * @param id
     * @return
     */
    Metric query(Long id);

    /**
     * 查询资源监控指标列表
     * @param pager
     * @return
     */
    BocloudResult monitorMetricList(Pager pager);

    /**
     * 创建监控指标
     * @param metric
     * @param context
     * @return
     */
    BocloudResult create(Metric metric, RequestContext context);

    /**
     * 修改监控指标
     * @param metric
     * @param context
     * @return
     */
    BocloudResult modify(Metric metric, RequestContext context);

    /**
     * 删除监控指标
     * @param id
     * @param context
     * @return
     */
    BocloudResult remove(Long id, RequestContext context);

    /**
     * 批量删除监控指标
     * @param ids
     * @param context
     * @return
     */
    BocloudResult batchRemove(List<Long> ids, RequestContext context);

    /**
     * 获取该资源类型下所有status为开启的指标列表
     * @param resourceType
     * @return
     */
    BocloudResult getByResourceType(String resourceType);
}
