package com.bocloud.cms.intf;

import com.bocloud.cms.entity.MonitorResourceType;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.model.Result;

import java.util.List;

/**
 * 告警配置资源类型
 * @author fanzhenxi
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
public interface MonitorResourceTypeService {

    /**
     * 查询列表
     *
     * @param pager
     * @param context
     * @return monitorResourceType列表
     */
    BocloudResult list(Pager pager, RequestContext context);

    /**
     * 添加
     *
     * @param monitorResourceType 资源类型实体类
     * @param context
     * @return 成功/失败
     */
    BocloudResult create(MonitorResourceType monitorResourceType, RequestContext context);

    /**
     * 更新
     *
     * @param id
     * @param monitorResourceType 资源类型实体类
     * @param context
     * @return 更新 成功/失败
     */
    BocloudResult modify(Long id, MonitorResourceType monitorResourceType, RequestContext context);

    /**
     * 移除
     *
     * @param id        资源类型id
     * @param context
     * @return 删除
     */
    BocloudResult remove(Long id, RequestContext context);

    /**
     * 批量删除
     * @param idList    资源类型id列表
     * @param target
     * @return  成功/失败 个数
     */
    BocloudResult batchRemove(List<Long> idList, Long target);

    /**
     * 资源类型绑定监控指标操作
     * @param metricsIds        监控指标id列表
     * @param resourceType      监控资源类型
     * @param requestContext
     * @return
     */
    Result bindingMetrics(List<Integer> metricsIds, String resourceType, RequestContext requestContext);
}
