package com.bocloud.cms.intf;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cms.entity.RuleGroup;
import com.bocloud.cms.model.PrometheusAlertRuleGroup;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;

import java.io.File;
import java.util.List;

/**
 * 告警规则
 *
 * @author zhangyf
 * @since 2018-12-21
 */
public interface PrometheusRuleService {

    /**
     * 生成rule并同步到prometheus
     *
     * @param context
     * @param ruleGroup
     * @throws Exception
     */
    void generateRule(RequestContext context, RuleGroup ruleGroup);

    /**
     * 生成Rule文件
     *
     * @param objList
     * @param fileList
     * @return
     */
    @Deprecated
    BocloudResult generateFile(List<JSONObject> objList, List<File> fileList);

    /**
     * 生成Rule文件
     *
     * @param groups
     * @param file
     * @return
     */
    BocloudResult generateFile(List<PrometheusAlertRuleGroup> groups, File file);

    /**
     * 删除告警规则文件
     *
     * @param id
     * @param reload         是否重新加载prometheus
     */
    void deleteRuleFile(Long id, boolean reload);

}
