package com.bocloud.cms.intf;

import com.bocloud.cms.entity.ResourceAlarmStatus;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;

/**
 * 开启关闭告警状态
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
public interface ResourceAlarmStatusService {

    /**
     * 删除状态
     * @param alarmStatus
     * @param context
     * @return
     */
    BocloudResult remove(ResourceAlarmStatus alarmStatus, RequestContext context);

    /**
     * 新增状态
     * @param alarmStatus
     * @param context
     * @return
     */
    BocloudResult create(ResourceAlarmStatus alarmStatus, RequestContext context);


    /**
     * 资源是否开启告警
     *
     * @param resourceType
     * @param target
     * @param tenantId
     * @return
     */
    boolean alarmEnable(String resourceType, String target, Long tenantId);

}
