package com.bocloud.cms.intf;

import com.bocloud.cms.entity.RuleGroup;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;

import java.util.List;

/**
 * @author fanzx
 * @Date 2021/09/18
 */
public interface RuleGroupService {

    /**
     * 添加告警策略功能
     * @param ruleGroup
     * @param context
     * @return
     */
    BocloudResult create(RuleGroup ruleGroup, RequestContext context);

    /**
     * 告警策略分页列表展示
     * @param pager
     * @param context
     * @return
     */
    BocloudResult list(Pager pager, RequestContext context);

    /**
     * 删除告警策略（单条）
     * @param id
     * @param context
     * @return
     */
    BocloudResult remove(Long id, RequestContext context);

    /**
     * 批量删除阈值
     *
     * @param ids
     * @param userId
     * @return
     */
    BocloudResult batchRemove(List<Long> ids, Long userId);

    /**
     * 修改告警策略信息
     * @param id
     * @param ruleGroup
     * @param context
     * @return
     */
    BocloudResult modify(Long id, RuleGroup ruleGroup, RequestContext context);

    /**
     * 告警策略详情
     *
     * @param id
     * @return
     */
    RuleGroup detail(Long id);

    /**
     * 开启/关闭   告警策略信息
     * @param groupId
     * @param enable
     * @param context
     * @return
     */
    BocloudResult enabled(Long groupId, Boolean enable, RequestContext context);

    /**
     * 云平台关联告警策略功能
     *
     * @param ruleGroupIds
     * @param resourceId
     * @param resourceType 资源类型
     * @param context
     * @return
     */
    BocloudResult binding(List<Long> ruleGroupIds, String resourceId, String resourceType, RequestContext context);

    /**
     * 云平台关联告警策略功能
     *   通过resourceId,查询到已经关联的告警策略列表
     * @param resourceId
     * @param context
     * @return
     */
    BocloudResult bindingList(String resourceId, RequestContext context);

}
