package com.bocloud.cms.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;

import javax.servlet.http.HttpServletRequest;

/**
 * 存储Service层
 * @author liuyuanyuan
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
public interface StorageService extends MonitoringAble {

    /**
     * Devices列表
     * @param pager
     * @param context
     * @param request
     * @return
     */
    BocloudResult listDevices(Pager pager, RequestContext context, HttpServletRequest request);

    /**
     * Disks列表
     * @param pager
     * @param context
     * @param request
     * @return
     */
    BocloudResult listDisks(Pager pager, RequestContext context, HttpServletRequest request);

    /**
     * Volumes列表
     * @param pager
     * @param context
     * @param action
     * @param request
     * @return
     */
    BocloudResult listVolumes(Pager pager, RequestContext context, String action, HttpServletRequest request);
}
