package com.bocloud.cms.intf;

import com.bocloud.cms.model.LineChartResult;
import com.bocloud.common.model.RequestContext;

import javax.servlet.http.HttpServletRequest;

/**
 * 监控Top数据查询
 *
 * @author zhangyf
 * @since 2019-09-11
 */
public interface TopService {

    /**
     * 宿主机cpu利用率 TopN
     *
     * @param vendorId
     * @param limit
     * @return
     */
    LineChartResult topOfHostCpu(Long vendorId, Integer limit);


    /**
     * 宿主机内存利用率 TopN
     *
     * @param vendorId
     * @param limit
     * @return
     */
    LineChartResult topOfHostMem(Long vendorId, Integer limit);

    /**
     * 云主机cpu利用率 TopN
     *
     * @param context
     * @param vendorId
     * @param limit
     * @param request
     * @return
     */
    LineChartResult topOfvmCpu(RequestContext context, Long vendorId, Integer limit, HttpServletRequest request);

    /**
     * 云主机内存利用率 TopN
     *
     * @param context
     * @param vendorId
     * @param limit
     * @param request
     * @return
     */
    LineChartResult topOfvmMem(RequestContext context, Long vendorId, Integer limit, HttpServletRequest request);

}