package com.bocloud.cms.intf;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.CloudVendor;

import java.util.List;

/**
 * 平台监控
 *
 * @author 王文凯
 * @date: 2019年1月28日 上午10:34:38
 */
public interface VendorService {
    /**
     * 开启监控(目前仅支持单个操作，不支持批量)
     *
     * @param context
     * @param idsList
     * @return
     */
    BocloudResult open(RequestContext context, List<Long> idsList);

    /**
     * 关闭监控(目前仅支持单个操作，不支持批量)
     *
     * @param context
     * @param idsList
     * @return
     */
    BocloudResult close(RequestContext context, List<Long> idsList);

    /**
     * 配置xsky prometheus信息
     *
     * @param id         平台id
     * @param jsonObject
     */
    void updateXskyMonitoringInfo(Long id, JSONObject jsonObject);


    /**
     * 关闭xsky监控
     *
     * @param vendor
     */
    void closeXsky(CloudVendor vendor);


}
