package com.bocloud.cms.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.CloudServer;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 云主机
 *
 * @author zhangyf
 * @since 2019-12-23
 */
public interface VmService extends MonitoringAble<CloudServer> {

    /**
     * 云主机列表，先从cmp查询，然后再查询ruleRelation，最后将结果拼到结果集里
     *
     * @param pager
     * @param context
     * @param request
     * @return
     */
    BocloudResult list(Pager pager, RequestContext context, HttpServletRequest request);

    /**
     * 云主机资源概览
     *
     * @param id
     * @return
     */
    BocloudResult vmOverview(Long id);

    /**
     * 设置监控ip
     *
     * @param context
     * @param id
     * @param ip
     */
    void saveMonitorIp(RequestContext context, Long id, String ip);

    /**
     * 查询云主机监控IP，如果未设置，则监控IP未管理IP
     *
     * @param context
     * @param id
     * @return
     */
    String queryMonitorIp(RequestContext context, Long id);

    /**
     * 删除监控IP
     *
     * @param targetId
     */
    void deleteIpRelationsByTarget(Long targetId);

    /**
     * 下载云主机监控列表
     * @param pager
     * @param context
     * @param request
     * @return
     */
    BocloudResult<Map<String, Object>> listDown(Pager pager, RequestContext context, HttpServletRequest request);
}