package com.bocloud.cms.intf.external;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cms.model.LineChartResult;

import java.util.List;
import java.util.Map;

/**
 * ManageOne外部接口
 *
 * @author zhangyf
 * @since 2020-07-02
 */
public interface RemoteManageOneService {

    /**
     * 资源详情
     *
     * @param vendorId
     * @param className
     * @param id
     * @return
     */
    JSONObject getInstanceDetail(Long vendorId, String className, String id);

    /**
     * 查询指定类型的资源
     *
     * @param vendorId
     * @param className
     * @param paramMap
     * @param contentSelector
     * @return
     */
    List<JSONObject> listInstance(Long vendorId, String className, Map<String, Object> paramMap, List<String> contentSelector);

    /**
     * 查询资源池的云主机、物理机状态数目统计
     *
     * @param vendorId
     * @param id
     * @return
     */
    JSONObject resourcePoolStatistics(Long vendorId, String id);

    /**
     * 查询可用区的云主机、物理机状态数目统计
     *
     * @param vendorId
     * @param id
     * @return
     */
    JSONObject azoneStatistics(Long vendorId, String id);

    /**
     * 资源池的当前容量
     *
     * @param vendorId
     * @param id
     * @return
     */
    JSONObject resourcePoolCurrentCapacities(Long vendorId, String id);

    /**
     * 可用区的当前容量
     *
     * @param vendorId
     * @param id
     * @return
     */
    JSONObject azoneCurrentCapacities(Long vendorId, String id);

    /**
     * 查询资源池存储池的容量
     *
     * @param vendorId
     * @param id
     * @return
     */
    LineChartResult resourcePoolStoragePoolCapacities(Long vendorId, String id);

    /**
     * 查询可用区存储池的容量
     *
     * @param vendorId
     * @param id
     * @return
     */
    LineChartResult azoneStoragePoolCapacities(Long vendorId, String id);
}
