package com.bocloud.cms.service;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cms.common.config.PrometheusConfig;
import com.bocloud.cms.intf.AlertManagerService;
import com.bocloud.cms.model.AlertManagerSilenc;
import com.bocloud.common.http.HttpClient;
import com.bocloud.common.model.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.Assert;

/**
 * @author zhangyf
 * @since 2021-04-20
 */
@Component
public class AlertManagerServiceImpl implements AlertManagerService {

    public static final String API_SILENCES_URL = "/api/v2/silences";

    @Autowired
    private PrometheusConfig prometheusConfig;

    @Override
    public AlertManagerSilenc getSilence(String silenceId) {
        String url = prometheusConfig.getAlertmanagerUrl() + API_SILENCES_URL + "/" + silenceId;
        HttpClient httpClient = new HttpClient();
        Result result = httpClient.get(url);
        Assert.isTrue(result.isSuccess(), result.getMessage());
        return JSONObject.parseObject(result.getMessage(), AlertManagerSilenc.class);
    }

    @Override
    public String saveOrUpdateSilence(AlertManagerSilenc silenc) {
        String url = prometheusConfig.getAlertmanagerUrl() + API_SILENCES_URL;
        HttpClient httpClient = new HttpClient();
        Result result = httpClient.post(null, silenc, url);
        Assert.isTrue(result.isSuccess(), result.getMessage());
        return JSONObject.parseObject(result.getMessage()).getString("silenceID");
    }

    @Override
    public void deleteSilence(String silenceId) {
        String url = prometheusConfig.getAlertmanagerUrl() + API_SILENCES_URL + "/" + silenceId;
        HttpClient httpClient = new HttpClient();
        Result result = httpClient.delete(null, null, url);
        Assert.isTrue(result.isSuccess(), result.getMessage());
    }
}