package com.bocloud.cms.service;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.cms.entity.MonitorAllocationRatio;
import com.bocloud.cms.intf.AllocationRatioService;
import com.bocloud.cms.repository.AllocationRatioRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.5.0-SNAPSHOT
 */
@Service
public class AllocationRatioServiceImpl implements AllocationRatioService {

    private static final Logger logger = LoggerFactory.getLogger(AllocationRatioServiceImpl.class);

    @Autowired
    private AllocationRatioRepository allocationRatioRepository;

    @Override
    public BocloudResult save(MonitorAllocationRatio allocationRatio) {
        try {
            MonitorAllocationRatio ratio = allocationRatioRepository.query(allocationRatio.getVendorId());
            if (null != ratio) {
                this.allocationRatioRepository.delete(allocationRatio.getVendorId());
            }
            this.allocationRatioRepository.save(allocationRatio);
        } catch (Exception e) {
            logger.error("create monitor allocation ratio false!");
        }
        return new BocloudResult(true, "配置超分比成功");
    }

    @Override
    public BocloudResult query(Long vendorId) {
        try {
            MonitorAllocationRatio allocationRatio = allocationRatioRepository.query(vendorId);
            if (null == allocationRatio) {
                allocationRatio = new MonitorAllocationRatio();
                allocationRatio.setVcpuRatio(1L);
                allocationRatio.setRamRatio(1L);
                allocationRatio.setDiskRatio(1L);
            }
            return new BocloudResult(true, allocationRatio, "查询成功");
        } catch (Exception e) {
            logger.error("Query monitor allocation ratio false!");
        }
        return new BocloudResult(false, "查询失败");
    }

}
