package com.bocloud.cms.service;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.cms.entity.MonitorAuth;
import com.bocloud.cms.intf.AuthService;
import com.bocloud.cms.repository.AuthRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author lyy
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.5.0-SNAPSHOT
 */
@Service("authService")
public class AuthServiceImpl implements AuthService {

    private final AuthRepository authRepository;

    @Autowired
    public AuthServiceImpl(AuthRepository authRepository) {
        this.authRepository = authRepository;
    }

    @Override
    public BocloudResult save(MonitorAuth monitorAuth, RequestContext context, Long vendorId) throws Exception {
        monitorAuth.setVendorId(vendorId);
        MonitorAuth auth = authRepository.queryByVendorId(vendorId);
        if (null == auth) {
            authRepository.save(monitorAuth);
        } else {
            monitorAuth.setId(auth.getId());
            authRepository.update(monitorAuth);
        }
        return new BocloudResult(true, "云平台运维信息保存成功");
    }

    @Override
    public MonitorAuth detail(Long vendorId) {
        return authRepository.queryByVendorId(vendorId);
    }
}
