package com.bocloud.cms.service.internal;

import com.bocloud.common.enums.BoCloudMethod;
import com.bocloud.common.enums.BoCloudService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.BocloudToken;
import com.bocloud.common.model.Pager;
import com.bocloud.service.core.CurrentService;
import com.bocloud.service.http.core.ServiceFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * sms跨服务调用
 * @author fanzhenxi
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0-SNAPSHOT
 */
@Component
public class SmsRoleService {

    @Autowired
    private CurrentService currentService;
    @Autowired
    private ServiceFactory serviceFactory;

    public BocloudResult listUsers(Long roleId, Pager pager) {
        Map<String, Object> headers = new HashMap<>(2);
        headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        return serviceFactory.build(BoCloudService.SMS, "/v1/roles/" + roleId + "/users", BoCloudMethod.GET, headers, pager.toMap()).invoke();
    }
}
